<?php

/**
 * @file
 * Theme Builder Edit Structure
 */
function themebuilder_page_structure() {
  $uri  = rtrim(dirname($_SERVER['PHP_SELF']), '/\\');
  $base_path = base_path();
  $module_path = drupal_get_path('module', 'themebuilder');
  $themes_path = 'sites/all/themes';
  $themebuilder_theme_dir = variable_get('themebuilder_theme_dir', 'themedir');
  $theme_path = $themes_path .'/'. $themebuilder_theme_dir;
  $themebuilder_theme_timezone = variable_get('themebuilder_theme_timezone', '+05:00');
  
  $form['themebuilder'] = array(
    '#type' => 'fieldset',
    '#title' => t('Global settings'),
    '#collapsible' => true,
    '#collapsed' => false,
  );
  $form['themebuilder']['themebuilder_prolog'] = array(
    '#type' => 'select',
    '#title' => t('Prolog and Document Type Declaration'),
    '#options' => array(
     '' => t('none') .' [1]',
     '1.0' => 'XML 1.0 [2]',
     '1.1' => 'XML 1.1 [2]',
    ),
    '#description' => t('Select a ') .'<abbr lang="en" xml:lang="en" title="Extensible Markup Language">XML</abbr> '. t('Prolog of your theme.') .' <br/><span class="icon16 ok">[1] '. t('For correct browser modus (no quirks modus) use: None') .' <abbr lang="en" xml:lang="en" title="Extensible Markup Language">XML</abbr> '. t('Prolog!') .'</span> <br /><em class="icon16 important">[2] '. t('Important! Do not use a ') .'<abbr lang="en" xml:lang="en" title="Extensible Markup Language">XML</abbr> '. t('prolog on') .' <abbr lang="en" xml:lang="en" title="Extensible Hypertext Markup Language">XHTML</abbr> 1.0/1.1 '. t('Transitional, Frameset or Strict Document Type (Transitional and Frameset: ') .'<abbr lang="en" xml:lang="en" title="Internet Explorer">IE</abbr> 6+, Opera 7 and Safari 0.82+. Strict: <abbr lang="en" xml:lang="en" title="Internet Explorer">IE</abbr> 6+ and Opera 7)!</em>',
    '#default_value' => variable_get('themebuilder_prolog', 0),
  );
  $form['themebuilder']['themebuilder_doctype'] = array(
    '#type' => 'select',
    '#title' => t('Document Type'),
    '#options' => array(
      'ISO/IEC 15445:2000 (&quot;ISO HTML&quot;)' => t('ISO/IEC 15445:2000 ("ISO HTML")'),
      'HTML 2.0' => t('HTML 2.0') .' [4]',
      'HTML 3.2 Final' => t('HTML 3.2 Final') .' [4]',
      'HTML 4.01 Frameset' => t('HTML 4.01 Frameset') .' [4]',
      'HTML 4.01 Transitional' => t('HTML 4.01 Transitional') .' [4]',
      'HTML 4.01 Strict' => t('HTML 4.01 Strict') .' [3]',
      'HTML 5.0' => t('HTML 5.0'),
      'XHTML Basic 1.0' => t('XHTML Basic') .' 1.0',
      'XHTML-Print 1.0' => t('XHTML-Print') .' 1.0',
      'XHTML 1.0 Frameset' => t('XHTML 1.0 Frameset') .' [4]',
      'XHTML 1.0 Transitional' => t('XHTML 1.0 Transitional') .' [4]',
      'XHTML 1.0 Strict' => t('XHTML 1.0 Strict') .' [3]',
      'XHTML 1.1' => t('XHTML 1.1'),
      'XHTML 1.1 plus MathML 2.0' => t('XHTML 1.1 plus MathML 2.0'),
      'XHTML 1.1 plus MathML 2.0 plus SVG 1.1' => t('XHTML 1.1 plus MathML 2.0 plus SVG 1.1'),
      'XHTML 2.0' => t('XHTML 2.0'),
      'MathML 1.01' => t('MathML 1.01'),
      'MathML 2.0' => t('MathML 2.0'),
      'XHTML Mobile 1.0' => t('XHTML Mobile Profile 1.0'),
      'XHTML Mobile 1.1' => t('XHTML Mobile Profile 1.1'),
      'XHTML Mobile 1.2' => t('XHTML Mobile Profile 1.2'),
    ),
    '#default_value' => variable_get('themebuilder_doctype', 'XHTML 1.0 Strict'),
    '#description' => t('Select a doctype of your theme.') .' <br/><span class="icon16 ok">[3] '. t('For correct browser modus (no quirks modus) use:') .' <abbr lang="en" xml:lang="en" title="Hypertext Markup Language" >HTML</abbr> 4.0/4.01 '. t('Strict') .', <abbr lang="en" xml:lang="en" title="Extensible Hypertext Markup Language" >XHTML</abbr> 1.0 '. t('Strict') .'.</span> <br /><em class="icon16 important">[4] '. t('Important! Do not use:') .' <abbr lang="en" xml:lang="en" title="Extensible Hypertext Markup Language" >XHTML</abbr> 2.0/3.2, <abbr lang="en" xml:lang="en" title="Extensible Hypertext Markup Language" >XHTML</abbr> 4.0/4.0.1 '. t('Transitional or Frameset') .', <abbr lang="en" xml:lang="en" title="Extensible Hypertext Markup Language">XHTML</abbr> 1.0 '. t('Transitional or Frameset') .'! </em>',
    '#required' => TRUE,
  );
  $form['themebuilder']['themebuilder_charset'] = array(
    '#type' => 'select',
    '#title' => t('Character Encoding'),
    '#description' => t('Select a character encoding of your theme. Standard is utf-8.'),
    '#options' => array(
     'utf-8' => t('utf-8 (Unicode, worldwide)'),
     'utf-16' => t('utf-16 (Unicode, worldwide)'),
     'iso-8859-1' => t('iso-8859-1 (Western Europe)'),
     'iso-8859-2' => t('iso-8859-2 (Central Europe)'),
     'iso-8859-3' => t('iso-8859-3 (Southern Europe)'),
     'iso-8859-4' => t('iso-8859-4 (North European)'),
     'iso-8859-5' => t('iso-8859-5 (Cyrillic)'),
     'iso-8859-6-i' => t('iso-8859-6-i (Arabic)'),
     'iso-8859-7' => t('iso-8859-7 (Greek)'),
     'iso-8859-8' => t('iso-8859-8 (Hebrew, visual)'),
     'iso-8859-8-i' => t('iso-8859-8-i (Hebrew, logical)'),
     'iso-8859-9' => t('iso-8859-9 (Turkish)'),
     'iso-8859-10' => t('iso-8859-10 (Latin 6)'),
     'iso-8859-11' => t('iso-8859-11 (Latin/Thai)'),
     'iso-8859-13' => t('iso-8859-13 (Latin 7, Baltic Rim)'),
     'iso-8859-14' => t('iso-8859-14 (Latin 8, Celtic)'),
     'iso-8859-15' => t('iso-8859-15 (Latin 9)'),
     'iso-8859-16' => t('iso-8859-16 (Latin 10)'),
     'us-ascii' => t('us-ascii (basic English)'),
     'euc-jp' => t('euc-jp (Japanese, Unix)'),
     'shift_jis' => t('shift_jis (Japanese, Win/Mac)'),
     'iso-2022-jp' => t('iso-2022-jp (Japanese, email)'),
     'euc-kr' => t('euc-kr (Korean)'),
     'ksc_5601' => t('ksc_5601 (Korean)'),
     'gb2312' => t('gb2312 (Chinese, simplified)'),
     'gb18030' => t('gb18030 (Chinese, simplified)'),
     'big5' => t('big5 (Chinese, traditional)'),
     'big5-HKSCS' => t('Big5-HKSCS (Chinese, Hong Kong)'),
     'tis-620' => t('tis-620 (Thai)'),
     'koi8-r' => t('koi8-r (Russian)'),
     'koi8-u' => t('koi8-u (Ukrainian)'),
     'iso-ir-111' => t('iso-ir-111 (Cyrillic KOI-8)'),
     'macintosh' => t('macintosh (MacRoman)'),
     'windows-1250' => t('windows-1250 (Central Europe)'),
     'windows-1251' => t('windows-1251 (Cyrillic)'),
     'windows-1252' => t('windows-1252 (Western Europe)'),
     'windows-1253' => t('windows-1253 (Greek)'),
     'windows-1254' => t('windows-1254 (Turkish)'),
     'windows-1255' => t('windows-1255 (Hebrew)'),
     'windows-1256' => t('windows-1256 (Arabic)'),
     'windows-1257' => t('windows-1257 (Baltic Rim)'),
    ),
    '#default_value' => variable_get('themebuilder_charset', 'utf-8'),
    '#required' => TRUE,
  );

  $form['themebuilder_meta'] = array(
    '#type' => 'fieldset',
    '#title' => t('Meta data'),
    '#collapsible' => true,
    '#collapsed' => true,
  );
  $form['themebuilder_meta']['themebuilder_meta_language'] = array(
    '#type' => 'textfield',
    '#title' => t('Language'),
    '#default_value' => variable_get('themebuilder_meta_language', 'en'),
    '#size' => 10,
    '#maxlength' => 10,
    '#description' => t('Enter the language. Example "en" for Englisch. (Used for meta tags: "Description", "Keywords" and "html" tag in <abbr title="Extensible Hypertext Markup Language">XHTML</abbr> Templates.)'),
    '#required' => TRUE,
  );
  $form['themebuilder_meta']['themebuilder_meta_generator'] = array(
    '#type' => 'textfield',
    '#title' => t('Generator'),
    '#default_value' => variable_get('themebuilder_meta_generator', 'Drupal Theme Builder 1.x'),
    '#size' => 50,
    '#maxlength' => 100,
    '#description' => t('Enter a name of the generator.'),
  );
  $form['themebuilder_meta']['themebuilder_meta_author'] = array(
    '#type' => 'textfield',
    '#title' => t('Author'),
    '#default_value' => variable_get('themebuilder_meta_author', 'Name'),
    '#size' => 50,
    '#maxlength' => 100,
    '#description' => t('Enter a name of the author.'),
    '#required' => TRUE,
  );
  $form['themebuilder_meta']['themebuilder_meta_organization'] = array(
    '#type' => 'textfield',
    '#title' => t('Organization'),
    '#default_value' => variable_get('themebuilder_meta_organization', ''),
    '#size' => 50,
    '#maxlength' => 100,
    '#description' => t('Enter a name of the organization.'),
  );
  $form['themebuilder_meta']['themebuilder_meta_copyright'] = array(
    '#type' => 'textfield',
    '#title' => t('Copyright'),
    '#default_value' => variable_get('themebuilder_meta_copyright', 'GNU General Public License'),
    '#size' => 50,
    '#maxlength' => 100,
    '#description' => t('Enter the copyright text.'),
    '#required' => TRUE,
  );
  $form['themebuilder_meta']['themebuilder_meta_date'] = array(
    '#type' => 'textfield',
    '#title' => t('Date'),
    '#default_value' => variable_get('themebuilder_meta_date', date("Y-m-d") .'T'. date("H:i:s") . $themebuilder_theme_timezone),
    '#size' => 50,
    '#maxlength' => 100,
    '#description' => t('Enter the date and time. Standard: Current date and time with "-05:00" for Washington D.C. Use "+02:00" for central European summer time.'),
  );
  $form['themebuilder_meta']['themebuilder_meta_description'] = array(
    '#type' => 'textfield',
    '#title' => t('Description'),
    '#default_value' => variable_get('themebuilder_meta_description', ''),
    '#size' => 50,
    '#maxlength' => 100,
    '#description' => t('Enter a description.')
  );
  $form['themebuilder_meta']['themebuilder_meta_keywords'] = array(
    '#type' => 'textarea',
    '#title' => t('Keywords'),
    '#default_value' => variable_get('themebuilder_meta_keywords', ''),
    '#size' => 500,
    '#maxlength' => 500,
    '#description' => t('Enter keywords, separated  with comma ", ".'),
  );
  $form['themebuilder_meta']['themebuilder_meta_revisit_after'] = array(
    '#type' => 'textfield',
    '#title' => t('Revisit after'),
    '#default_value' => variable_get('themebuilder_meta_revisit_after', '30 days'),
    '#size' => 10,
    '#maxlength' => 10,
    '#description' => t('Enter the revisit after days.')
  );
  $form['themebuilder_meta']['themebuilder_meta_robots'] = array(
    '#type' => 'textfield',
    '#title' => t('Robots'),
    '#default_value' => variable_get('themebuilder_meta_robots', 'all'),
    '#size' => 20,
    '#maxlength' => 20,
    '#description' => t('Enter the robots: "all", "index, follow" or "none", "noindex, nofollow".')
  );
  $form['themebuilder_meta']['themebuilder_meta_modified'] = array(
    '#type' => 'textfield',
    '#title' => t('Last modified'),
    '#default_value' => variable_get('themebuilder_meta_modified', date("Y-m-d") .'T'. date("H:i:s") .'-05:00'),
    '#size' => 50,
    '#maxlength' => 100,
    '#description' => t('Enter the date and time. Standard: Current date and time with "-05:00" for Washington D.C. Use "+02:00" for central European summer time.'),
  );
  $form['themebuilder_meta']['themebuilder_meta_expires'] = array(
    '#type' => 'textfield',
    '#title' => t('Expires'),
    '#default_value' => variable_get('themebuilder_meta_expires', date("Y-m") . (date("d")+1)  .'T'. date("H:i:s") .'-05:00'),
    '#size' => 50,
    '#maxlength' => 100,
    '#description' => t('Enter the date and time. Standard: Current date + 1 day and current time with "-05:00" for Washington D.C. Use "+02:00" for central European summer time.'),
  );
  $form['themebuilder_meta']['themebuilder_meta_cache'] = array(
    '#type' => 'textfield',
    '#title' => t('Cache control (max age)'),
    '#default_value' => variable_get('themebuilder_meta_cache', '86400'),
    '#field_suffix' => t('sec'),
    '#size' => 20,
    '#maxlength' => 20,
    '#description' => t('Enter the maximum age of cache. Standard, "86400" seconds for one day.'),
  );
  $form['themebuilder_meta']['themebuilder_meta_audience'] = array(
    '#type' => 'textfield',
    '#title' => t('Audience'),
    '#default_value' => variable_get('themebuilder_meta_audience', 'all'),
    '#size' => 50,
    '#maxlength' => 100,
    '#description' => t('Enter the audience.'),
  );
  $form['themebuilder_meta']['themebuilder_meta_rating'] = array(
    '#type' => 'textfield',
    '#title' => t('Rating'),
    '#default_value' => variable_get('themebuilder_meta_rating', 'general'),
    '#size' => 50,
    '#maxlength' => 100,
    '#description' => t('Enter the ratin: "general", "mature" (adult), "restricted" or "14 years".'),
  );
  $form['themebuilder_navbar'] = array(
    '#type' => 'fieldset',
    '#title' => t('Site navigation bar'),
    '#description' => t('Enter the links. Standard 7 links (for primary navigation standard 6 links). Site navigation bar is for:') .'
  <ul>
    <li>'. t('<a href="http://www.mozilla.org/" title="Mozilla" class="icon16 mozilla">Mozilla</a>/<a href="http://www.seamonkey-project.org/" title="SeaMonkey" class="icon16 seamonkey">SeaMonkey</a> Site Navigation Bar (<span class="software-menu">View > Show/Hide > Site Navigation Bar > Show Only As Needed</span>), <a href="http://www.mozilla.com/firefox/" title="Firefox" class="icon16 firefox">Firefox</a> <a href="https://addons.mozilla.org/firefox/addon/1949" title="Firefox Add-on: Site Navigation Bar">Add-on: "Site Navigation Bar"</a>, <a href="http://www.opera.com" title="Opera" class="icon16 opera">Opera 7.x+</a> "Navigation Bar" (<span class="software-menu">View > Toolbars > Navigation bar</span>) or iCab 3.x Standard Links Toolbar (<span class="software-menu">View > Standard Links Toolbar</span>).') .'</li>
    <li>'. t('The primary navigation in static <abbr lang="en" xml:lang="en" title="Extensible Hypertext Markup Language" class="icon16 html">XHTML</abbr> <span class="icon16 template">Templates</span>.') .'</li>
    <li>'. t('Copyright link in the footer.') .'</li>
  </ul>',
    '#collapsible' => true,
    '#collapsed' => true,
  );
  $form['themebuilder_navbar']['themebuilder_navbar_contents'] = array(
    '#type' => 'textfield',
    '#title' => t('Contents link'),
    '#default_value' => variable_get('themebuilder_navbar_contents', 'sitemap'),
    '#size' => 50,
    '#maxlength' => 100,
    '#description' => t('Enter the link to the contents or sitemap. Leave it empty for none link. Standard: "sitemap".') .' <br /><span class="icon16 info">'. t('Use Contents/Sitemap or Search for <span class="icon16 access">Web Accessibility</span>.') .'</span>',
    '#required' => FALSE,
  );
  $form['themebuilder_navbar']['themebuilder_navbar_search'] = array(
    '#type' => 'textfield',
    '#title' => t('Search link'),
    '#default_value' => variable_get('themebuilder_navbar_search', 'search'),
    '#size' => 50,
    '#maxlength' => 100,
    '#description' => t('Enter the link to the search form. Leave it empty for none link. Standard: "search".') .' <br /><span class="icon16 info">'. t('Use Search or Contents/Sitemap for <span class="icon16 access">Web Accessibility</span>. </span> <br /><span class="icon16 important">This link will not be displayed in the primary navigation for <abbr lang="en" xml:lang="en" title="Extensible Hypertext Markup Language" class="icon16 html">XHTML</abbr> <span class="icon16 template">templates</span>. The search form will be displayed standard in the head and 7 primary links are overkill for a horizontally menu.</span>'),
    '#required' => FALSE,
  );
  $form['themebuilder_navbar']['themebuilder_navbar_glossary'] = array(
    '#type' => 'textfield',
    '#title' => t('Glossary link'),
    '#default_value' => variable_get('themebuilder_navbar_glossary', 'glossary'),
    '#size' => 50,
    '#maxlength' => 100,
    '#description' => t('Enter the link to the glossary page. Leave it empty for none link. Standard: "glossary".') .' <br /><span class="icon16 info">'. t('Use this link for <span class="icon16 access">Web Accessibility</span>.') .'</span>',
    '#required' => FALSE,
  );
  $form['themebuilder_navbar']['themebuilder_navbar_index'] = array(
    '#type' => 'textfield',
    '#title' => t('Index link'),
    '#default_value' => variable_get('themebuilder_navbar_index', 'index'),
    '#size' => 50,
    '#maxlength' => 100,
    '#description' => t('Enter the link to the index page. Leave it empty for none link. Standard: "index".'),
    '#required' => FALSE,
  );
  $form['themebuilder_navbar']['themebuilder_navbar_help'] = array(
    '#type' => 'textfield',
    '#title' => t('Help link'),
    '#default_value' => variable_get('themebuilder_navbar_help', 'help'),
    '#size' => 50,
    '#maxlength' => 100,
    '#description' => t('Enter the link to the help page. Standard: "help".'),
    '#required' => TRUE,
  );
  $form['themebuilder_navbar']['themebuilder_navbar_author'] = array(
    '#type' => 'textfield',
    '#title' => t('Author(s) link'),
    '#default_value' => variable_get('themebuilder_navbar_author', 'contact'),
    '#size' => 50,
    '#maxlength' => 100,
    '#description' => t('Enter the link to the contact or imprint page. Standard: "contact".') .'<br /><span class="icon16 info">'. t('Required also for <span class="icon16 access">Web Accessibility</span>.') .'</span>',
    '#required' => TRUE,
  );
  $form['themebuilder_navbar']['themebuilder_navbar_copyright'] = array(
    '#type' => 'textfield',
    '#title' => t('Copyright link'),
    '#default_value' => variable_get('themebuilder_navbar_copyright', 'imprint'),
    '#size' => 50,
    '#maxlength' => 100,
    '#description' => t('Enter the link to the imprint or copyright page or the license document: <a href="'. $base_path . $module_path .'/LICENSE.txt" class="icon16 text">"'. $base_path . $theme_path .'/LICENSE.txt"</a>. Standard: "imprint".') .'<br /><span class="icon16 info">'. t('Same link in the footer for <span class="icon16 access">Web Accessibility</span>.') .'</span>',
    '#required' => TRUE,
  );
  $form['themebuilder_b_display'] = array(
    '#type' => 'fieldset',
    '#title' => t('Block display'),
    '#description' => '<img src="'. $base_path . $module_path .'/images/block_display.jpg" alt="Block display" title="Block display" /><br /><span class="icon16 warning">'. t('Required even for') .' <span lang="en" class="icon16 drupal">Drupal themes</span>'. t(' to calculate the values in ') .'<span lang="en" class="icon16 css">hacks.css</span> '. t(' for old browsers.') .'</span>',
    '#collapsible' => true,
    '#collapsed' => false,
  );
  $form['themebuilder_b_display']['themebuilder_display_sidebarleft'] = array(
    '#type' => 'checkbox',
    '#title' => t('Sidebar left'),
    '#default_value' => variable_get('themebuilder_display_sidebarleft', 1),
  );
  $form['themebuilder_b_display']['themebuilde_displayr_sidebarright'] = array(
    '#type' => 'checkbox',
    '#title' => t('Sidebar right'),
    '#default_value' => variable_get('themebuilde_displayr_sidebarright', 0),
  );
  /*
    $form['themebuilder_b_display']['themebuilder_block_display'] = array(
    '#type' => 'select',
    '#title' => t('Block display'),
    '#description' => t('Select the display of the blocks.') .'<br /><span class="icon16 info">'. t('Only for <abbr lang="en" xml:lang="en" title="Extensible Hypertext Markup Language" class="icon16 html">XHTML</abbr> templates. In <span class="icon16 drupal">Drupal</span>, use the block settings on: ') . l('Administer > Site building > Blocks', 'admin/build/block/') .'</span>',
    '#options' => array(
     t('Header, Content, Footer'),
     t('Header, Sidebar left, Content, Footer'),
     t('Header, Content, Sidebar right, Footer'),
     t('Header, Sidebar left, Content, Sidebar right, Footer'),
    ),
    '#default_value' => variable_get('themebuilder_block_display_1', 1)
  );
  */
  $form['themebuilder_b_order'] = array(
    '#type' => 'fieldset',
    '#title' => t('Block order'),
    '#description' => '<img src="'. $base_path . $module_path .'/images/block_order.jpg" alt="Block order" title="Block order"/>',
    '#collapsible' => true,
    '#collapsed' => false,
  );
    $form['themebuilder_b_order']['themebuilder_block_order'] = array(
    '#type' => 'select',
    '#title' => t('Block order'),
    '#description' => t('Select the order of the blocks.') .' <br />[5] '. t('A option for web accessible websites. ') .'<br /><span class="icon16 warning">'. t('If you will present de content before the navigation (in the <abbr lang="en" xml:lang="en" title="Extensible Hypertext Markup Language">XHTML</abbr> code), place the primary and secondary menue links in the sidebar(s) and disable the primary and secondary links in <span class="icon16 drupal">Drupal</span> on: "') . l('Administer > Site building > Themes > Configure', 'admin/build/themes/settings/') .'".</span> <br /><em class="icon16 important">'. t('By using two sidebars: Not for Amaya 10.') .'</em>',
    '#options' => array(
      'navigation-first' => t('1. Header, 2. Sidebar, 3. Content, (4. Sidebar), 5. Footer'),
      'content-first' => t('1. Header, 2. Content, 3. Sidebars, 5. Footer') .' [5]',
    ),
    '#default_value' => variable_get('themebuilder_block_order', 'Navigation first')
  );
$form['themebuilder_layout'] = array(
    '#type' => 'fieldset',
    '#title' => t('Layout'),
    '#description' => '<img src="'. $base_path . $module_path .'/images/layout.jpg" alt="Layout display" title="Layout display"/>',
    '#collapsible' => true,
    '#collapsed' => false,
  );
  $form['themebuilder_layout']['themebuilder_theme_layout'] = array(
    '#type' => 'select',
    '#title' => t('Theme layout'),
    '#options' => array(
      'px' => t('Fix (px)') .' [6]',
      '%' => t('Liquid (%)') .' [7]',
      'em' => t('Elastic (em)') .' [8]',
    ),
    '#default_value' => variable_get('themebuilder_theme_layout', 'em'),
    '#description' => t('Select the theme layout. Standard: "Elastic".') .' <br/><span class="icon16 important">[6] '. t('Not for') .' <span class="icon16 access">'. t('Web Accessibility') .'.</span> '. t('The line length can be under 30em.') .'</span><br/><span class="icon16 warning">[7] '. t('The line length can be under 30em.') .'</span><br/><span class="icon16 ok">[8] '. t('For') .' <span class="icon16 access">'. t('Web Accessibility') .'.</span></span>',
  );
  $form['themebuilder_display'] = array(
    '#type' => 'fieldset',
    '#title' => t('Toggle display'),
    '#description' => t('Enable or disable the display of certain page elements.') .'<br /><span class="icon16 info">'. t('Some elements ar only for <abbr lang="en" xml:lang="en" title="Extensible Hypertext Markup Language" class="icon16 html">XHTML</abbr> <span class="icon16 template">templates</span>.') .' '. t('In <span class="icon16 drupal">Drupal</span>, disable the elemenst (logo, site slogan and more) on: ') . l('Themes', 'admin/build/themes/settings/') .'</span>',
    '#collapsible' => true,
    '#collapsed' => true,
    );
  $form['themebuilder_display']['themebuilder_display_logo'] = array(
    '#type' => 'checkbox',
    '#title' => t('Logo'),
    '#default_value' => variable_get('themebuilder_display_logo', 1),
  );
  $form['themebuilder_display']['themebuilder_display_sitename'] = array(
    '#type' => 'checkbox',
    '#title' => t('Site name'),
    '#default_value' => variable_get('themebuilder_display_sitename', 1),
    '#description' => '<span class="icon16 info">'. t('Enable site name: Set the logo or site name in a "home" link or generate a "Home" or "Start" link with your modul ') . l('Menues', 'admin/build/menu') .'. '. t('Standard: "Enable site name"') .'.</span><br /><span class="icon16 info">'. t('Disable site name: Only for screen. If your logo have your site name, then display the logo in a home link. Screen reader can any more read the site name.') .'.</span><br /><span class="icon16 warning">'. t('Warning:') .' <span class="icon16 drupal">Drupal themes</span>: '. t('For web accessibility, do not disable the site name in your theme configuration: ') . l('Themes', 'admin/build/themes/settings/') .'!</span>',
  /*  '#disabled' => TRUE, */
  );
  $form['themebuilder_display']['themebuilder_display_slogan'] = array(
    '#type' => 'checkbox',
    '#title' => t('Site slogan'),
    '#default_value' => variable_get('themebuilder_display_slogan', 1),
  );
  $form['themebuilder_display']['themebuilder_mission_display'] = array(
    '#type' => 'checkbox',
    '#title' => t('Mission statement'),
    '#default_value' => variable_get('themebuilder_mission_display', 1),
  );
  $form['themebuilder_display']['themebuilder_display_search'] = array(
    '#type' => 'checkbox',
    '#title' => t('Search box'),
    '#default_value' => variable_get('themebuilder_display_search', 1),
  );
  $form['themebuilder_display']['themebuilder_display_shortcuticon'] = array(
    '#type' => 'checkbox',
    '#title' => t('Shortcut icon'),
    '#default_value' => variable_get('themebuilder_display_shortcuticon', 1),
  );
  $form['themebuilder_display']['themebuilder_display_primary'] = array(
    '#type' => 'checkbox',
    '#title' => t('Primary links'),
    '#default_value' => variable_get('themebuilder_display_primary', 1),
  );
  $form['themebuilder_display']['themebuilder_display_secondary'] = array(
    '#type' => 'checkbox',
    '#title' => t('Secondary links'),
    '#default_value' => variable_get('themebuilder_display_secondary', 1),
  );
  $form['themebuilder_display']['themebuilder_display_skip_top'] = array(
    '#type' => 'checkbox',
    '#title' => t('Skip up link to top of page (in the footer)'),
    '#default_value' => variable_get('themebuilder_display_skip_top', 0),
  );
  $form['themebuilder_display']['themebuilder_display_skip_up'] = array(
    '#type' => 'checkbox',
    '#title' => t('Skip up link to content (in the footer)'),
    '#default_value' => variable_get('themebuilder_display_skip_up', 1),
  );
  $form['themebuilder_display']['themebuilder_display_print'] = array(
    '#type' => 'checkbox',
    '#title' => t('Print link (in the footer)'),
    '#default_value' => variable_get('themebuilder_display_print', 1),
    '#description' => '<span class="warning">'. t('Warning: Javascript required.') .'</span>',
  );
  $form['themebuilder_display']['themebuilder_display_bookmark'] = array(
    '#type' => 'checkbox',
    '#title' => t('Bookmark link (in the footer)'),
    '#default_value' => variable_get('themebuilder_display_bookmark', 0),
    '#description' => '<span class="warning">'. t('Warning: Javascript required. Full support only for Internet Explorer!') .'</span>',
  );
  $form['themebuilder_display']['themebuilder_display_start'] = array(
    '#type' => 'checkbox',
    '#title' => t('Start link (in the footer)'),
    '#default_value' => variable_get('themebuilder_display_start', 0),
  );




  $form['themebuilder_display']['themebuilder_display_valid_html'] = array(
    '#type' => 'checkbox',
    '#title' => t('<abbr lang="en" xml:lang="en" title="World Wide Web Consortium Valid">W3C</abbr> Valid (X)HTML link'),
    '#default_value' => variable_get('themebuilder_display_valid_html', 1),
  );
  $form['themebuilder_display']['themebuilder_display_valid_css'] = array(
    '#type' => 'checkbox',
    '#title' => t('<abbr lang="en" xml:lang="en" title="World Wide Web Consortium Valid">W3C</abbr> Valid CSS link'),
    '#default_value' => variable_get('themebuilder_display_valid_css', 1),
  );
  $form['themebuilder_display']['themebuilder_display_copyright'] = array(
    '#type' => 'checkbox',
    '#title' => t('Copyright link'),
    '#default_value' => variable_get('themebuilder_display_copyright', 1),
  );
  $form['themebuilder_display']['themebuilder_display_made_drupal'] = array(
    '#type' => 'checkbox',
    '#title' => t('Drupal powered link'),
    '#default_value' => variable_get('themebuilder_display_made_drupal', 1),
  );
  $form['themebuilder_display']['themebuilder_display_syndicate'] = array(
    '#type' => 'checkbox',
    '#title' => t('Syndicate text link'),
    '#default_value' => variable_get('themebuilder_display_syndicate', 0),
    '#description' => '<span class="warning">'. t('Warning: Not for <abbr lang="en" xml:lang="en" title="Extensible Hypertext Markup Language" class="icon16 html">XHTML</abbr> <span class="icon16 template"> templates</span>') .'</span>',
  );

  $form['themebuilder_shortcut'] = array(
    '#type' => 'fieldset',
    '#title' => t('Shortcut icon'),
    '#description' => '<img src="'. $base_path . $module_path .'/images/favicon.ico" width="16" height="16" alt="Favicon: Druplicon" title="Favicon: Druplicon"/><br />'. t('Your shortcut icon, or "favicon", is displayed in the address bar and bookmarks of most browsers.'),
    '#collapsible' => true,
    '#collapsed' => true,
  );
  /*
  $base_path = base_path();
  $module_path = drupal_get_path('module', 'themebuilder');
  $themes_path = 'sites/all/themes';
  $theme_path = $themes_path .'/'. $themebuilder_theme_dir;
  */
  $form['themebuilder_shortcut']['themebuilder_shortcuticon_display_default'] = array(
    '#type' => 'checkbox',
    '#title' => t('Use the default shortcut icon.'),
    '#default_value' => variable_get('themebuilder_shortcuticon_display_default', 1),
    '#description' => t('Check here if you want the theme to use the default shortcut icon.'),
  );
  $form['themebuilder_shortcut']['themebuilder_link_shortcut_icon'] = array(
    '#type' => 'textfield',
    '#title' => t('Path to custom icon'),
    '#default_value' => variable_get('themebuilder_link_shortcut_icon', ''),
    '#size' => 30,
    '#maxlength' => 100,
    '#description' => t('The path to the image file you would like to use as your custom shortcut icon.'),
    '#required' => false,
  );
  $form['themebuilder_skip'] = array(
    '#type' => 'fieldset',
    '#title' => t('Skip link'),
    '#collapsible' => true,
    '#collapsed' => true,
  );
  $form['themebuilder_skip']['themebuilder_skiplink_settings'] = array(
    '#type' => 'radios',
    '#title' => t('Skip link text'),
    '#options' => array(
      t('"Content title | Website name" (Head title) [9]'),
      t('"Skip to Main Content"'),
      t('"Skip to Main Content: content title"'),
    ),
    '#default_value' => variable_get('themebuilder_skiplink_settings', 0),
    '#description' => t('Set the skip link text. [9] "Skip to Main Content: content title" in the link title.'),
  );
  $form['themebuilder_skip']['themebuilder_skiplink_content_tab'] = array(
    '#type' => 'textfield',
    '#title' => t('Tabindex to main content'),
    '#default_value' => variable_get('themebuilder_skiplink_content_tab', '1'),
    '#size' => 1,
    '#maxlength' => 1,
    '#description' => t('Tabindex to main content. Standard: Tabindex "1".')
  );
  $form['themebuilder_skip']['themebuilder_skiplink_content_accesskey'] = array(
    '#type' => 'textfield',
    '#title' => t('Accesskey to main content'),
    '#default_value' => variable_get('themebuilder_skiplink_content_accesskey', ''),
    '#size' => 1,
    '#maxlength' => 1,
    '#description' => t('Accesskey to main content. Standard: Accesskey "" (e-Government: Accesskey "s").')
  );
  $form['themebuilder_site_name'] = array(
    '#type' => 'fieldset',
    '#title' => t('Site name'),
    '#collapsible' => true,
    '#collapsed' => true,
  );
  $form['themebuilder_site_name']['themebuilder_site_name_link'] = array(
    '#type' => 'radios',
    '#title' => t('Site name link'),
    '#options' => array(
      t('Site name static not in a link but in a title ("h1") [10].'),
      t('Site name in a "home" link ("a") and in a title ("h1") [12].'),
    ),
    '#default_value' => variable_get('themebuilder_site_name_link', 0),
    '#description' => '[10] '. t('Set the logo in a link or generate a "Home" or "Start" link with your modul ') . l('Menues', 'admin/build/menu') .'<br />[12] '. t('If you will not display the logo in a link. Only no link on the start page.'),
  );
  /*
  $form['themebuilder_site_name']['themebuilder_site_name_display'] = array(
    '#type' => 'radios',
    '#title' => t('Site name display'),
    '#options' => array(
      t('Enable site name.') .'[1]',
      t('Disable site name only for screen.') . '[2]',
    ),
    '#default_value' => variable_get('themebuilder_site_name_display', 0),
    '#description' => '[1] '. t('Set the logo or site name in a "home" link or generate a "Home" or "Start" link with your modul ') . l('Menues', 'admin/build/menu') .'<br />[2] '. t('If your logo have your site name, then display the logo in a home link. Screen reader can any more read the site name.') .' <em class="icon16 warning">'. t('Warning: For web accessibility, do not disable the site name in your theme configuration: ') . l('Themes', 'admin/build/themes/settings/') . '!</em>',
  );
 */
  $form['themebuilder_logo'] = array(
    '#type' => 'fieldset',
    '#title' => t('Logo'),
    '#description' => '<img src="'. $base_path . $module_path .'/images/logo_screen.png" width="53" height="100" alt="Logo: Druplicon" title="Logo: Druplicon"/>',
    '#collapsible' => true,
    '#collapsed' => true,
  );

/*
  $form['themebuilder_logo']['themebuilder_image_logo'] = array(
    '#type' => 'textfield',
    '#title' => t('Logo source to copy'),
    '#default_value' => variable_get('themebuilder_image_logo', '/var/www'. $base_path .'/misc/druplicon.png'),
    '#size' => 50,
    '#maxlength' => 100,
    '#description' => t('Select a logo image for your theme or leave it blank for no copy. Format: <abbr title="Portable Network Graphics">PNG</abbr>. Standard example file is: <em>/misc/druplicon.png</em>'),
    '#required' => FALSE,
  );
  $form['themebuilder_logo']['themebuilder_link_logo0'] = array(
    '#type' => 'textfield',
    '#title' => t('Logo'),
    '#default_value' => variable_get('themebuilder_link_logo0', base_path() . 'themes/'. $theme_dir .'/logo.png'),
    '#size' => 50,
    '#maxlength' => 100,
    '#description' => t('Enter the url of the logo.'),
    '#required' => TRUE,
  );
 */
/*
  $form['themebuilder_logo']['themebuilder_logo_order'] = array(
    '#type' => 'select',
    '#title' => t('Logo order'),
    '#options' => array(
     t('1. Website name, 2. Slogan, 3. Logo [1]'),
     t('1. Logo, 2. Website name, 3. Slogan'),
    ),
    '#default_value' => variable_get('themebuilder_logo_order', 0),
    '#description' => t('Select the order of the logo, website name and slogan.') .'<br />'. t('[1] The standard option if you will dysplay the website name in a title ("h1"), then you place the "Logo image" not before the title, because screanreaders read the alt text of the logo, example "Logo: Druplicon".'),
  );
  $form['themebuilder_logo']['themebuilder_logo_display'] = array(
    '#type' => 'radios',
    '#title' => t('Logo display'),
    '#options' => array(
      t('Enable logo.'),
      t('Disable logo.'),
    ),
    '#default_value' => variable_get('themebuilder_logo_display', 0),
    '#description' => t('Select the display of the logo.') .'<br /><span class="icon16 info">'. t('Only for <abbr lang="en" xml:lang="en" title="Extensible Hypertext Markup Language" class="icon16 html">XHTML</abbr> templates. In <span class="icon16 drupal">Drupal</span>, disable the logo on: ') . l('Themes', 'admin/build/themes/settings/') .'</span>',
    );
 */
  $form['themebuilder_logo']['themebuilder_link_logo'] = array(
    '#type' => 'radios',
    '#title' => t('Logo link'),
    '#options' => array(
      t('Logo static not in a link.') .' [13]',
      t('Logo in a "home" link (&lt;a&gt;).') .' [14]',
    ),
    '#default_value' => variable_get('themebuilder_link_logo', 1), // default to link
    '#description' => '[13] '. ('Set the site name in a link or generate a "Home" or "Start" link with your modul ') . l('Menues', 'admin/build/menu') .'<br />[14] '. t('If you will not display the site name in a link. Only no link on the start page.'),
  );
  $form['themebuilder_logo']['themebuilder_image_width_logo'] = array(
    '#type' => 'textfield',
    '#title' => t('Logo width'),
    '#default_value' => variable_get('themebuilder_image_width_logo', '53'),
    '#field_suffix' => t('px'),
    '#size' => 5,
    '#maxlength' => 5,
    '#description' => t('Enter the width of the logo. The width will be used for the head also.'),
    '#required' => TRUE,
  );
  $form['themebuilder_logo']['themebuilder_image_height_logo'] = array(
    '#type' => 'textfield',
    '#title' => t('Logo height'),
    '#default_value' => variable_get('themebuilder_image_height_logo', '100'),
    '#field_suffix' => t('px'),
    '#size' => 3,
    '#maxlength' => 3,
    '#description' => t('Enter the height of the logo.'),
    '#required' => TRUE,
  );
  $form['themebuilder_logo']['themebuilder_image_height_logo_view_width'] = array(
    '#type' => 'textfield',
    '#title' => t('Logo view width'),
    '#default_value' => variable_get('themebuilder_image_height_logo_view_width', '6.5'),
    '#field_suffix' => t('em'),
    '#size' => 3,
    '#maxlength' => 3,
    '#description' => t('Enter the width of the logo for view. The width will be used for the #name-slogan div. 100px = 6.25em or 625% or 75pt.'),
    '#required' => TRUE,
  );
  $form['themebuilder_logo']['themebuilder_image_height_logo_view_height'] = array(
    '#type' => 'textfield',
    '#title' => t('Logo view height'),
    '#default_value' => variable_get('themebuilder_image_height_logo_view_height', '6.5'),
    '#field_suffix' => t('em'),
    '#size' => 3,
    '#maxlength' => 3,
    '#description' => t('Enter the height of the logo for view. The height will be used for the #name-slogan-logo div. 100px = 6.25em or 625% or 75pt.'),
    '#required' => TRUE,
  );
  $form['themebuilder_logo']['themebuilder_logo_image_alt'] = array(
    '#type' => 'textfield',
    '#title' => t('Logo alt text'),
    '#default_value' => variable_get('themebuilder_logo_image_alt', 'Logo: Druplicon'),
    '#size' => 50,
    '#maxlength' => 100,
    '#description' => t('Enter image alt text of the logo. Example "Logo Druplicon".'),
    '#required' => TRUE,
  );
  $form['themebuilder_logo']['themebuilder_logo_link_title'] = array(
    '#type' => 'textfield',
    '#title' => t('Logo link title text'),
    '#default_value' => variable_get('themebuilder_logo_link_title', 'Home'),
    '#size' => 50,
    '#maxlength' => 100,
    '#description' => t('Enter the link title text. Example "Home Website name".'),
    '#required' => TRUE,
  );
  $form['themebuilder_nav_primary'] = array(
    '#type' => 'fieldset',
    '#title' => t('Primary links'),
    '#collapsible' => true,
    '#collapsed' => true,
  );
  $form['themebuilder_nav_primary']['themebuilder_primary_place'] = array(
    '#type' => 'select',
    '#title' => t('Place of primary links'),
    '#options' => array(
      'header' => t('Header'),
      'left' => t('Sidebar left'),
      'right' => t('Sidebar right'),
    ),
    '#default_value' => variable_get('themebuilder_primary_place', 'header'),
    '#description' => ('Set the place of the primary navigation. Standard: "Header".') .' <br /><span class="icon16 info">'. t('Only for') .' <abbr lang="en" xml:lang="en" title="Extensible Hypertext Markup Language" class="icon16 html">XHTML</abbr> <span class="icon16 template">'. t('templates.') .'</span> '. t('In <span class="icon16 drupal">Drupal</span>, disable the primary links on: ') . l('Themes', 'admin/build/themes/settings/') . t(' and place the block "Primary links" in the "Left sidebar" or "Right sidebar" on: ') . l('Blocks', 'admin/build/block/') .'.</span>',
  );
  $form['themebuilder_nav_primary']['themebuilder_primary_links'] = array(
    '#type' => 'textfield',
    '#title' => t('Number of primary links'),
    '#default_value' => variable_get('themebuilder_primary_links', 5),
    '#size' => 2,
    '#maxlength' => 2,
    '#description' => t('Enter the number of primary links. No sidebar: "4", one sidebar: "5" two sidebar: "6". Standard: "5".') .'<br /><span class="icon16 info">For calculating the width for old browsers (in <span class="icon16 css">hacks.css</span>) and for <abbr lang="en" xml:lang="en" title="Extensible Hypertext Markup Language" class="icon16 html">XHTML</abbr> <span class="icon16 template">'. t('templates') .'</span>.</span> <br /><span class="icon16 important">The number of links have to be the same as in "Site navigation bar" for <abbr lang="en" xml:lang="en" title="Extensible Hypertext Markup Language" class="icon16 html">XHTML</abbr> <span class="icon16 template">'. t('templates') .'</span>.</span>',
    '#required' => TRUE,
  );
  $form['themebuilder_nav_secondary'] = array(
    '#type' => 'fieldset',
    '#title' => t('Secondary links'),
    '#collapsible' => true,
    '#collapsed' => true,
  );
  $form['themebuilder_nav_secondary']['themebuilder_secondary_place'] = array(
    '#type' => 'select',
    '#title' => t('Place of secondary links'),
    '#options' => array(
      'header' => t('Header'),
      'left' => t('Sidebar left'),
      'right' => t('Sidebar right'),
    ),
    '#default_value' => variable_get('themebuilder_secondary_place', 'header'),
    '#description' => ('Set the place of the secondary navigation. Standard: "Header".') .' <br /><span class="icon16 info">'. t('Only for') .' <abbr lang="en" xml:lang="en" title="Extensible Hypertext Markup Language" class="icon16 html">XHTML</abbr> <span class="icon16 template">'. t('templates.') .'</span> '. t('In <span class="icon16 drupal">Drupal</span>, disable the secondary links on: ') . l('Themes', 'admin/build/themes/settings/') . t(' and place the block "Secondary links" in the "Left sidebar" or "Right sidebar" on: ') . l('Blocks', 'admin/build/block/') .'.</span>',
  );
  $form['themebuilder_nav_secondary']['themebuilder_secondary_links'] = array(
    '#type' => 'textfield',
    '#title' => t('Number of secondary links'),
    '#default_value' => variable_get('themebuilder_secondary_links', 5),
    '#size' => 2,
    '#maxlength' => 2,
    '#description' => t('Enter the number of secondary links. No sidebar: "4", one sidebar: "5" two sidebar: "6". Standard: "5".') .'<br /><span class="icon16 info">For calculating the width for old browsers (in <span class="icon16 css">hacks.css</span>) and for <abbr lang="en" xml:lang="en" title="Extensible Hypertext Markup Language" class="icon16 html">XHTML</abbr> <span class="icon16 template">'. t('templates') .'</span>.</span>',
    '#required' => TRUE,
  );
  return system_settings_form($form);
}