<?php

/**
 * @file
 * Theme Builder Edit Typography
 */
function themebuilder_typography() {
  $form['themebuilder_sitename'] = array(
    '#type' => 'fieldset',
    '#title' => t('Sitename'),
    '#collapsible' => TRUE,
    '#collapsed' => FALSE,
  );
  $form['themebuilder_sitename']['themebuilder_h1_sitename_fontfamily'] = array(
    '#type' => 'textfield',
    '#title' => t('Site name font family'),
    '#default_value' => variable_get('themebuilder_h1_sitename_fontfamily', 'Verdana, Arial, Helvetica, "Bitstream Vera Sans", sans-serif'),
    '#size' => 70,
    '#maxlength' => 100,
    '#description' => t('Set the general font family. Standard: Verdana, Arial, Helvetica, "Bitstream Vera Sans", sans-serif'),
    '#required' => TRUE,
  );
  $form['themebuilder_sitename']['themebuilder_h1_sitename_fontsize'] = array(
    '#type' => 'select',
    '#title' => t('Font size'),
    '#options' => array(
      '0.6' => '0.6em',
      '0.7' => '0.7em',
      '0.8' => '0.8em',
      '0.9' => '0.9em',
      '1.0' => '1.0em',
      '1.1' => '1.1em',
      '1.2' => '1.2em',
      '1.3' => '1.3em',
      '1.4' => '1.4em',
      '1.5' => '1.4em',
      '1.6' => '1.5em',
      '1.7' => '1.6em',
      '1.8' => '1.7em',
      '1.9' => '1.8em',
      '2.0' => '2.0em',
      '2.1' => '2.1em',
      '2.2' => '2.2em',
      '2.3' => '2.3em',
      '2.4' => '2.4em',
      '2.5' => '2.4em',
      '2.6' => '2.5em',
    ),
    '#default_value' => variable_get('themebuilder_h1_sitename_fontsize', '2.0'),
    '#description' => t('Select the font size. Standard: "2.0em". <br /><span class="icon16 warning">Minimum 0.7em, optimal 1.2-2em</span>'),
  );
  $form['themebuilder_sitename']['themebuilder_h1_sitename_textalign'] = array(
    '#type' => 'select',
    '#title' => t('Text align'),
    '#options' => array(
      'left' => 'left',
      'center' => 'center',
      'right' => 'right',
      'justify' => 'justify',
    ),
    '#default_value' => variable_get('themebuilder_h1_sitename_textalign', 'left'),
    '#description' => t('Select the text align. Standard: left.'),
  );
  $form['themebuilder_sitename']['themebuilder_h1_sitename_shadow'] = array(
    '#type' => 'checkbox',
    '#title' => t('Site name text shadow'),
    '#default_value' => variable_get('themebuilder_h1_sitename_shadow', 0),
    '#description' => '<span class="error">'. t('Not <abbr title="Cascading Style Sheets">CSS</abbr> 2.1 Valid in:') .' <a href="http://jigsaw.w3.org/css-validator/" title="W3C CSS Validation Service" ><abbr lang="en" xml:lang="en" title="World Wide Web Consortium">W3C</abbr> <abbr title="Cascading Style Sheets">CSS</abbr> Validation Service</a>!</span>',
  );
  $form['themebuilder_siteslogan'] = array(
    '#type' => 'fieldset',
    '#title' => t('Site slogan'),
    '#collapsible' => TRUE,
    '#collapsed' => TRUE,
  );
  $form['themebuilder_siteslogan']['themebuilder_p_siteslogan_fontfamily'] = array(
    '#type' => 'textfield',
    '#title' => t('Site slogan font family'),
    '#default_value' => variable_get('themebuilder_p_siteslogan_fontfamily', 'Verdana, Arial, Helvetica, "Bitstream Vera Sans", sans-serif'),
    '#size' => 70,
    '#maxlength' => 100,
    '#description' => t('Set the font family order. Standard: Verdana, Arial, Helvetica, "Bitstream Vera Sans", sans-serif.'),
    '#required' => TRUE,
  );
  $form['themebuilder_siteslogan']['themebuilder_p_siteslogan_fontsize'] = array(
    '#type' => 'select',
    '#title' => t('Font size'),
    '#options' => array(
      '0.6' => '0.6em',
      '0.7' => '0.7em',
      '0.8' => '0.8em',
      '0.9' => '0.9em',
      '1.0' => '1.0em',
      '1.1' => '1.1em',
      '1.2' => '1.2em',
      '1.3' => '1.3em',
      '1.4' => '1.4em',
    ),
    '#default_value' => variable_get('themebuilder_p_siteslogan_fontsize', '1.0'),
    '#description' => t('Select the font size. Standard: "1.0em". <br /><span class="icon16 warning">Minimum 0.7em, optimal 1.0-1.2em</span>'),
  );
  $form['themebuilder_siteslogan']['themebuilder_p_siteslogan_textalign'] = array(
    '#type' => 'select',
    '#title' => t('Text align'),
    '#options' => array(
      'left' => 'left',
      'center' => 'center',
      'right' => 'right',
      'justify' => 'justify',
    ),
    '#default_value' => variable_get('themebuilder_p_siteslogan_textalign', 'left'),
    '#description' => t('Select the text align. Standard: left.'),
  );
  $form['themebuilder_siteslogan']['themebuilder_p_siteslogan_shadow'] = array(
    '#type' => 'checkbox',
    '#title' => t('Site slogan text shadow'),
    '#default_value' => variable_get('themebuilder_p_siteslogan_shadow', 0),
    '#description' => '<span class="error">'. t('Not <abbr title="Cascading Style Sheets">CSS</abbr> 2.1 Valid!'),
  );
  $form['themebuilder_div_content'] = array(
    '#type' => 'fieldset',
    '#title' => t('Content'),
    '#description' => t('General settings.'),
    '#collapsible' => TRUE,
    '#collapsed' => TRUE,
  );
  $form['themebuilder_div_content']['themebuilder_div_content_fontfamily'] = array(
    '#type' => 'textfield',
    '#title' => t('Font family'),
    '#default_value' => variable_get('themebuilder_div_content_fontfamily', 'Verdana, Arial, Helvetica, "Bitstream Vera Sans", sans-serif'),
    '#size' => 70,
    '#maxlength' => 100,
    '#description' => t('Set the font family order. Standard: Verdana, Arial, Helvetica, "Bitstream Vera Sans", sans-serif.'),
    '#required' => TRUE,
  );
  $form['themebuilder_div_content']['themebuilder_div_content_fontfamily_print'] = array(
    '#type' => 'textfield',
    '#title' => t('Print font family'),
    '#default_value' => variable_get('themebuilder_div_content_fontfamily_print', '"Times New Roman", Times, "Bitstream Charter", serif'),
    '#size' => 70,
    '#maxlength' => 100,
    '#description' => t('Set the font family order. Standard: "Times New Roman", Times, "Bitstream Charter", serif.'),
    '#required' => TRUE,
  );
  $form['themebuilder_div_content']['themebuilder_div_content_lineheight'] = array(
    '#type' => 'select',
    '#title' => t('Line height'),
    '#options' => array(
      '1.0' => '1.0x',
      '1.1' => '1.1x',
      '1.2' => '1.2x',
      '1.3' => '1.3x',
      '1.4' => '1.4x',
      '1.5' => '1.5x',
      '1.6' => '1.6x',
      '1.7' => '1.7x',
      '1.8' => '1.8x',
      '1.9' => '1.9x',
      '2.0' => '2.0x',
    ),
    '#default_value' => variable_get('themebuilder_div_content_lineheight', '1.5'),
    '#description' => t('Select the line height. Standard: "1.5x". <br /><span class="icon16 warning">Minimum 1.2x, optimal 1.4-1.5x, maximum 2.x</span>'),
  );
  $form['themebuilder_div_content']['themebuilder_div_content_fontsize'] = array(
    '#type' => 'select',
    '#title' => t('Font size'),
    '#options' => array(
      '0.6' => '0.6em',
      '0.7' => '0.7em',
      '0.8' => '0.8em',
      '0.9' => '0.9em',
      '1.0' => '1.0em',
      '1.1' => '1.1em',
      '1.2' => '1.2em',
      '1.3' => '1.3em',
      '1.4' => '1.4em',
    ),
    '#default_value' => variable_get('themebuilder_div_content_fontsize', '1.0'),
    '#description' => t('Select the font size. Standard: "1.0em". <br /><span class="icon16 warning">Minimum 0.7em, optimal 1.0-1.2em</span>'),
  );
  $form['themebuilder_div_content']['themebuilder_div_content_textalign'] = array(
    '#type' => 'select',
    '#title' => t('Text align'),
    '#options' => array(
      'left' => 'left',
      'center' => 'center',
      'right' => 'right',
      'justify' => 'justify',
    ),
    '#default_value' => variable_get('themebuilder_div_content_textalign', 'left'),
    '#description' => t('Select the text align. Standard: left.'),
  );
  $form['themebuilder_h1'] = array(
    '#type' => 'fieldset',
    '#title' => t('Heading 1'),
    '#collapsible' => TRUE,
    '#collapsed' => TRUE,
  );
  $form['themebuilder_h1']['themebuilder_h1_fontfamily'] = array(
    '#type' => 'textfield',
    '#title' => t('Font family'),
    '#default_value' => variable_get('themebuilder_h1_fontfamily', 'Verdana, Arial, Helvetica, "Bitstream Vera Sans", sans-serif'),
    '#size' => 70,
    '#maxlength' => 100,
    '#description' => t('Set the font family order. Standard: Verdana, Arial, Helvetica, "Bitstream Vera Sans", sans-serif.'),
    '#required' => TRUE,
  );
  $form['themebuilder_h1']['themebuilder_h1_lineheight'] = array(
    '#type' => 'select',
    '#title' => t('Line height'),
    '#options' => array(
      '1.0' => '1.0x',
      '1.1' => '1.1x',
      '1.2' => '1.2x',
      '1.3' => '1.3x',
      '1.4' => '1.4x',
      '1.5' => '1.5x',
      '1.6' => '1.6x',
      '1.7' => '1.7x',
      '1.8' => '1.8x',
      '1.9' => '1.9x',
      '2.0' => '2.0x',
    ),
    '#default_value' => variable_get('themebuilder_h1_lineheight', '1.0'),
    '#description' => t('Select the line height. Standard: "1.0x".'),
  );
  $form['themebuilder_h1']['themebuilder_h1_fontsize'] = array(
    '#type' => 'select',
    '#title' => t('Font size'),
    '#options' => array(
      '0.6' => '0.6em',
      '0.7' => '0.7em',
      '0.8' => '0.8em',
      '0.9' => '0.9em',
      '1.0' => '1.0em',
      '1.1' => '1.1em',
      '1.2' => '1.2em',
      '1.3' => '1.3em',
      '1.4' => '1.4em',
      '1.5' => '1.5em',
      '1.6' => '1.6em',
      '1.7' => '1.7em',
      '1.8' => '1.8em',
      '1.9' => '1.9em',
      '2.0' => '2.0em',
    ),
    '#default_value' => variable_get('themebuilder_h1_fontsize', '2.0'),
    '#description' => t('Select the font size. Standard: 2.0em.'),
  );
  $form['themebuilder_h1']['themebuilder_h1_textalign'] = array(
    '#type' => 'select',
    '#title' => t('Text align'),
    '#options' => array(
      'left' => 'left',
      'center' => 'center',
      'right' => 'right',
      'justify' => 'justify',
    ),
    '#default_value' => variable_get('themebuilder_h1_textalign', 'left'),
    '#description' => t('Select the text align. Standard: left.'),
  );
 $form['themebuilder_h2'] = array(
    '#type' => 'fieldset',
    '#title' => t('Heading 2'),
    '#collapsible' => TRUE,
    '#collapsed' => TRUE,
  );
  $form['themebuilder_h2']['themebuilder_h2_fontfamily'] = array(
    '#type' => 'textfield',
    '#title' => t('Font family'),
    '#default_value' => variable_get('themebuilder_h2_fontfamily', 'Verdana, Arial, Helvetica, "Bitstream Vera Sans", sans-serif'),
    '#size' => 70,
    '#maxlength' => 100,
    '#description' => t('Set the font family order. Standard: Verdana, Arial, Helvetica, "Bitstream Vera Sans", sans-serif.'),
    '#required' => TRUE,
  );
  $form['themebuilder_h2']['themebuilder_h2_lineheight'] = array(
    '#type' => 'select',
    '#title' => t('Line height'),
    '#options' => array(
      '1.0' => '1.0x',
      '1.1' => '1.1x',
      '1.2' => '1.2x',
      '1.3' => '1.3x',
      '1.4' => '1.4x',
      '1.5' => '1.5x',
      '1.6' => '1.6x',
      '1.7' => '1.7x',
      '1.8' => '1.8x',
      '1.9' => '1.9x',
      '2.0' => '2.0x',
    ),
    '#default_value' => variable_get('themebuilder_h2_lineheight', '1.1'),
    '#description' => t('Select the line height. Standard: 1.1x.'),
  );
  $form['themebuilder_h2']['themebuilder_h2_fontsize'] = array(
    '#type' => 'select',
    '#title' => t('Font size'),
    '#options' => array(
      '0.6' => '0.6em',
      '0.7' => '0.7em',
      '0.8' => '0.8em',
      '0.9' => '0.9em',
      '1.0' => '1.0em',
      '1.1' => '1.1em',
      '1.2' => '1.2em',
      '1.3' => '1.3em',
      '1.4' => '1.4em',
      '1.5' => '1.5em',
      '1.6' => '1.6em',
      '1.7' => '1.7em',
      '1.8' => '1.8em',
      '1.9' => '1.9em',
      '2.0' => '2.0em',
    ),
    '#default_value' => variable_get('themebuilder_h2_fontsize', '1.4'),
    '#description' => t('Select the font size. Standard: 1.4em.'),
  );
  $form['themebuilder_h2']['themebuilder_h2_textalign'] = array(
    '#type' => 'select',
    '#title' => t('Text align'),
    '#options' => array(
      'left' => 'left',
      'center' => 'center',
      'right' => 'right',
      'justify' => 'justify',
    ),
    '#default_value' => variable_get('themebuilder_h2_textalign', 'left'),
    '#description' => t('Select the text align. Standard: left.'),
  );
 $form['themebuilder_h3'] = array(
    '#type' => 'fieldset',
    '#title' => t('Heading 3'),
    '#collapsible' => TRUE,
    '#collapsed' => TRUE,
  );
  $form['themebuilder_h3']['themebuilder_h3_fontfamily'] = array(
    '#type' => 'textfield',
    '#title' => t('Font family'),
    '#default_value' => variable_get('themebuilder_h3_fontfamily', 'Verdana, Arial, Helvetica, "Bitstream Vera Sans", sans-serif'),
    '#size' => 70,
    '#maxlength' => 100,
    '#description' => t('Set the font family order. Standard: Verdana, Arial, Helvetica, "Bitstream Vera Sans", sans-serif.'),
    '#required' => TRUE,
  );
  $form['themebuilder_h3']['themebuilder_h3_lineheight'] = array(
    '#type' => 'select',
    '#title' => t('Line height'),
    '#options' => array(
      '1.0' => '1.0x',
      '1.1' => '1.1x',
      '1.2' => '1.2x',
      '1.3' => '1.3x',
      '1.4' => '1.4x',
      '1.5' => '1.5x',
      '1.6' => '1.6x',
      '1.7' => '1.7x',
      '1.8' => '1.8x',
      '1.9' => '1.9x',
      '2.0' => '2.0x',
    ),
    '#default_value' => variable_get('themebuilder_h3_lineheight', '1.2'),
    '#description' => t('Select the line height. Standard: 1.2x.'),
  );
  $form['themebuilder_h3']['themebuilder_h3_fontsize'] = array(
    '#type' => 'select',
    '#title' => t('Font size'),
    '#options' => array(
      '0.6' => '0.6em',
      '0.7' => '0.7em',
      '0.8' => '0.8em',
      '0.9' => '0.9em',
      '1.0' => '1.0em',
      '1.1' => '1.1em',
      '1.2' => '1.2em',
      '1.3' => '1.3em',
      '1.4' => '1.4em',
      '1.5' => '1.5em',
      '1.6' => '1.6em',
      '1.7' => '1.7em',
      '1.8' => '1.8em',
      '1.9' => '1.9em',
      '2.0' => '2.0em',
    ),
    '#default_value' => variable_get('themebuilder_h3_fontsize', '1.3'),
    '#description' => t('Select the font size. Standard: 1.3em.'),
  );
  $form['themebuilder_h3']['themebuilder_h3_textalign'] = array(
    '#type' => 'select',
    '#title' => t('Text align'),
    '#options' => array(
      'left' => 'left',
      'center' => 'center',
      'right' => 'right',
      'justify' => 'justify',
    ),
    '#default_value' => variable_get('themebuilder_h3_textalign', 'left'),
    '#description' => t('Select the text align. Standard: left.'),
  );
 $form['themebuilder_h4'] = array(
    '#type' => 'fieldset',
    '#title' => t('Heading 4'),
    '#collapsible' => TRUE,
    '#collapsed' => TRUE,
  );
  $form['themebuilder_h4']['themebuilder_h4_fontfamily'] = array(
    '#type' => 'textfield',
    '#title' => t('Font family'),
    '#default_value' => variable_get('themebuilder_h4_fontfamily', 'Verdana, Arial, Helvetica, "Bitstream Vera Sans", sans-serif'),
    '#size' => 70,
    '#maxlength' => 100,
    '#description' => t('Set the font family order. Standard: Verdana, Arial, Helvetica, "Bitstream Vera Sans", sans-serif.'),
    '#required' => TRUE,
  );
  $form['themebuilder_h4']['themebuilder_h4_lineheight'] = array(
    '#type' => 'select',
    '#title' => t('Line height'),
    '#options' => array(
      '1.0' => '1.0x',
      '1.1' => '1.1x',
      '1.2' => '1.2x',
      '1.3' => '1.3x',
      '1.4' => '1.4x',
      '1.5' => '1.5x',
      '1.6' => '1.6x',
      '1.7' => '1.7x',
      '1.8' => '1.8x',
      '1.9' => '1.9x',
      '2.0' => '2.0x',
    ),
    '#default_value' => variable_get('themebuilder_h4_lineheight', '1.3'),
    '#description' => t('Select the line height. Standard: 1.3x.'),
  );
  $form['themebuilder_h4']['themebuilder_h4_fontsize'] = array(
    '#type' => 'select',
    '#title' => t('Font size'),
    '#options' => array(
      '0.6' => '0.6em',
      '0.7' => '0.7em',
      '0.8' => '0.8em',
      '0.9' => '0.9em',
      '1.0' => '1.0em',
      '1.1' => '1.1em',
      '1.2' => '1.2em',
      '1.3' => '1.3em',
      '1.4' => '1.4em',
      '1.5' => '1.5em',
      '1.6' => '1.6em',
      '1.7' => '1.7em',
      '1.8' => '1.8em',
      '1.9' => '1.9em',
      '2.0' => '2.0em',
    ),
    '#default_value' => variable_get('themebuilder_h4_fontsize', '1.2'),
    '#description' => t('Select the font size. Standard: 1.2em.'),
  );
  $form['themebuilder_h4']['themebuilder_h4_textalign'] = array(
    '#type' => 'select',
    '#title' => t('Text align'),
    '#options' => array(
      'left' => 'left',
      'center' => 'center',
      'right' => 'right',
      'justify' => 'justify',
    ),
    '#default_value' => variable_get('themebuilder_h4_textalign', 'left'),
    '#description' => t('Select the text align. Standard: left.'),
  );
 $form['themebuilder_h5'] = array(
    '#type' => 'fieldset',
    '#title' => t('Heading 5'),
    '#collapsible' => TRUE,
    '#collapsed' => TRUE,
  );
  $form['themebuilder_h5']['themebuilder_h5_fontfamily'] = array(
    '#type' => 'textfield',
    '#title' => t('Font family'),
    '#default_value' => variable_get('themebuilder_h5_fontfamily', 'Verdana, Arial, Helvetica, "Bitstream Vera Sans", sans-serif'),
    '#size' => 70,
    '#maxlength' => 100,
    '#description' => t('Set the font family order. Standard: Verdana, Arial, Helvetica, "Bitstream Vera Sans", sans-serif.'),
    '#required' => TRUE,
  );
  $form['themebuilder_h5']['themebuilder_h5_lineheight'] = array(
    '#type' => 'select',
    '#title' => t('Line height'),
    '#options' => array(
      '1.0' => '1.0x',
      '1.1' => '1.1x',
      '1.2' => '1.2x',
      '1.3' => '1.3x',
      '1.4' => '1.4x',
      '1.5' => '1.5x',
      '1.6' => '1.6x',
      '1.7' => '1.7x',
      '1.8' => '1.8x',
      '1.9' => '1.9x',
      '2.0' => '2.0x',
    ),
    '#default_value' => variable_get('themebuilder_h5_lineheight', '1.4'),
    '#description' => t('Select the line height. Standard: 1.4x.'),
  );
  $form['themebuilder_h5']['themebuilder_h5_fontsize'] = array(
    '#type' => 'select',
    '#title' => t('Font size'),
    '#options' => array(
      '0.6' => '0.6em',
      '0.7' => '0.7em',
      '0.8' => '0.8em',
      '0.9' => '0.9em',
      '1.0' => '1.0em',
      '1.1' => '1.1em',
      '1.2' => '1.2em',
      '1.3' => '1.3em',
      '1.4' => '1.4em',
      '1.5' => '1.5em',
      '1.6' => '1.6em',
      '1.7' => '1.7em',
      '1.8' => '1.8em',
      '1.9' => '1.9em',
      '2.0' => '2.0em',
    ),
    '#default_value' => variable_get('themebuilder_h5_fontsize', '1.1'),
    '#description' => t('Select the font size. Standard: 1.1em.'),
  );
  $form['themebuilder_h5']['themebuilder_h5_textalign'] = array(
    '#type' => 'select',
    '#title' => t('Text align'),
    '#options' => array(
      'left' => 'left',
      'center' => 'center',
      'right' => 'right',
      'justify' => 'justify',
    ),
    '#default_value' => variable_get('themebuilder_h5_textalign', 'left'),
    '#description' => t('Select the text align. Standard: left.'),
  );
 $form['themebuilder_h6'] = array(
    '#type' => 'fieldset',
    '#title' => t('Heading 6'),
    '#collapsible' => TRUE,
    '#collapsed' => TRUE,
  );
  $form['themebuilder_h6']['themebuilder_h6_fontfamily'] = array(
    '#type' => 'textfield',
    '#title' => t('Font family'),
    '#default_value' => variable_get('themebuilder_h5_fontfamily', 'Verdana, Arial, Helvetica, "Bitstream Vera Sans", sans-serif'),
    '#size' => 70,
    '#maxlength' => 100,
    '#description' => t('Set the font family order. Standard: Verdana, Arial, Helvetica, "Bitstream Vera Sans", sans-serif.'),
    '#required' => TRUE,
  );
  $form['themebuilder_h6']['themebuilder_h6_lineheight'] = array(
    '#type' => 'select',
    '#title' => t('Line height'),
    '#options' => array(
      '1.0' => '1.0x',
      '1.1' => '1.1x',
      '1.2' => '1.2x',
      '1.3' => '1.3x',
      '1.4' => '1.4x',
      '1.5' => '1.5x',
      '1.6' => '1.6x',
      '1.7' => '1.7x',
      '1.8' => '1.8x',
      '1.9' => '1.9x',
      '2.0' => '2.0x',
    ),
    '#default_value' => variable_get('themebuilder_h6_lineheight', '1.5'),
    '#description' => t('Select the line height. Standard: 1.5x.'),
  );
  $form['themebuilder_h6']['themebuilder_h6_fontsize'] = array(
    '#type' => 'select',
    '#title' => t('Font size'),
    '#options' => array(
      '0.6' => '0.6em',
      '0.7' => '0.7em',
      '0.8' => '0.8em',
      '0.9' => '0.9em',
      '1.0' => '1.0em',
      '1.1' => '1.1em',
      '1.2' => '1.2em',
      '1.3' => '1.3em',
      '1.4' => '1.4em',
      '1.5' => '1.5em',
      '1.6' => '1.6em',
      '1.7' => '1.7em',
      '1.8' => '1.8em',
      '1.9' => '1.9em',
      '2.0' => '2.0em',
    ),
    '#default_value' => variable_get('themebuilder_h6_fontsize', '1.0'),
    '#description' => t('Select the font size. Standard: 1.0em.'),
  );
  $form['themebuilder_h6']['themebuilder_h6_textalign'] = array(
    '#type' => 'select',
    '#title' => t('Text align'),
    '#options' => array(
      'left' => 'left',
      'center' => 'center',
      'right' => 'right',
      'justify' => 'justify',
    ),
    '#default_value' => variable_get('themebuilder_h6_textalign', 'left'),
    '#description' => t('Select the text align. Standard: left.'),
  );








  $form['themebuilder_a_link_typo'] = array(
    '#type' => 'fieldset',
    '#title' => t('Link'),
    '#collapsible' => TRUE,
    '#collapsed' => TRUE,
  );
  $form['themebuilder_a_link_typo']['themebuilder_a_link_textdecoration'] = array(
    '#type' => 'select',
    '#title' => t('Link text decoration'),
    '#options' => array(
      'none' => 'none',
      'underline' => 'underline',
      'overline' => 'overline',
      'line-through' => 'line-through',
      'blink' => 'blink',
    ),
    '#default_value' => variable_get('themebuilder_a_link_textdecoration', 'underline'),
    '#description' => t('Standard: "underline".'),
  );
  $form['themebuilder_a_visited_typo'] = array(
    '#type' => 'fieldset',
    '#title' => t('Link visited'),
    '#collapsible' => TRUE,
    '#collapsed' => TRUE,
  );
  $form['themebuilder_a_visited_typo']['themebuilder_a_visited_textdecoration'] = array(
    '#type' => 'select',
    '#title' => t('Link focus text decoration'),
    '#options' => array(
      'none' => 'none',
      'underline' => 'underline',
      'overline' => 'overline',
      'line-through' => 'line-through',
      'blink' => 'blink',
    ),
    '#default_value' => variable_get('themebuilder_a_visited_textdecoration', 'underline'),
    '#description' => t('Standard: "underline".'),
  );
  $form['themebuilder_a_focus_typo'] = array(
    '#type' => 'fieldset',
    '#title' => t('Link focus'),
    '#collapsible' => TRUE,
    '#collapsed' => TRUE,
  );
  $form['themebuilder_a_focus_typo']['themebuilder_a_focus_textdecoration'] = array(
    '#type' => 'select',
    '#title' => t('Link focus text decoration'),
    '#options' => array(
      'none' => 'none',
      'underline' => 'underline',
      'overline' => 'overline',
      'line-through' => 'line-through',
      'blink' => 'blink',
    ),
    '#default_value' => variable_get('themebuilder_a_focus_textdecoration', 'underline'),
    '#description' => t('Standard: "underline".'),
  );
  $form['themebuilder_a_hover_typo'] = array(
    '#type' => 'fieldset',
    '#title' => t('Link hover'),
    '#collapsible' => TRUE,
    '#collapsed' => TRUE,
  );
  $form['themebuilder_a_hover_typo']['themebuilder_a_hover_textdecoration'] = array(
    '#type' => 'select',
    '#title' => t('Link hover text decoration'),
    '#options' => array(
      'none' => 'none',
      'underline' => 'underline',
      'overline' => 'overline',
      'line-through' => 'line-through',
      'blink' => 'blink',
    ),
    '#default_value' => variable_get('themebuilder_a_hover_textdecoration', 'underline'),
    '#description' => t('Standard: "underline".'),
  );
  $form['themebuilder_a_active_typo'] = array(
    '#type' => 'fieldset',
    '#title' => t('Link active'),
    '#collapsible' => TRUE,
    '#collapsed' => TRUE,
  );
  $form['themebuilder_a_active_typo']['themebuilder_a_active_textdecoration'] = array(
    '#type' => 'select',
    '#title' => t('Link active text decoration'),
    '#options' => array(
      'none' => 'none',
      'underline' => 'underline',
      'overline' => 'overline',
      'line-through' => 'line-through',
      'blink' => 'blink',
    ),
    '#default_value' => variable_get('themebuilder_a_active_textdecoration', 'underline'),
    '#description' => t('Standard: "underline".'),
  );


  $form['themebuilder_div_table'] = array(
    '#type' => 'fieldset',
    '#title' => t('Table'),
    '#collapsible' => TRUE,
    '#collapsed' => TRUE,
  );
  $form['themebuilder_div_table']['themebuilder_div_table_thead_transform'] = array(
    '#type' => 'select',
    '#title' => t('Table head text transform'),
    '#options' => array(
      'none' => 'none',
      'capitalize' => 'capitalize',
      'uppercase' => 'uppercase',
      'lowercase' => 'lowercase',
    ),
    '#default_value' => variable_get('themebuilder_div_table_thead_transform', 'uppercase'),
    '#description' => t('Table head text transform. Standard: uppercase.'),
    '#required' => TRUE,
  );
  return system_settings_form($form);
}