<?php

/**
 * @file
 * Theme Builder File Open Theme
 */
function themebuilder_open_theme($theme_dir) {
/* Read config file */
$file_config = $theme_dir .".cfg";
  if (file_exists($file_config)) {
    $themebuilder_vars = unserialize(file_get_contents($file_config));
    foreach ($themebuilder_vars as $name => $value) {
      variable_set($name, $value);
    }
  $success = TRUE;
  }
  else {
  drupal_set_message( t('No readable <em class="icon16 php">themebuilder.cfg</em> file found in the directory: <em class="icon16 folder">"'. $file_config .'</em>"'), 'error' );
  }

/* Read ini file */
$file_ini = $theme_dir .".ini";
  if (file_exists($file_ini) && is_readable($file_ini)) {
    $themebuilder_vars = parse_ini_file($file_ini);
    foreach ($themebuilder_vars as $name => $value) {
    variable_set($name, $value);
    }
  $success = TRUE;
  }
  else {
  drupal_set_message( t('No readable <em class="icon16 php">themebuilder.ini</em> file found in the directory: <em class="icon16 folder">"'. $file_ini .'</em>".'), 'error' );
  }
  if ($success == TRUE) {
  drupal_set_message( t('The <span class="icon16 theme">theme</span> in the directory: <em class="icon16 folder">"'. $theme_dir .'</em>" has been loaded successfuly.'), 'ok' );
  }
}

/**
 * Is folder not empty = true;
 */
function is_empty_folder($folder) {
    if (! is_dir($folder))
        return false; // not a dir

    $files = opendir($folder);
    while ($file = readdir($files)) {
        if ($file != '.' && $file != '..')
        return true; // not empty
    }
}

/**
 * Theme Builder File Open Directory
 */
function themebuilder_opendir($themes_path) {
// $themes_path = 'sites/all/themes/';
// // chdir($themes_path);
// $handle = opendir($themes_path);
// $outp_ut_ = $themes_path;
// 
// while ($dname = readdir($handle)) {
// $output = $dname;
// }
// return $output;

$handle = opendir($themes_path);
$info = stat($themes_path);
$i = 0;
$output = '<p class="icon16 ';
    if (is_readable($themes_path)) {
      $output .= 'folder';
    }
    else {
      $output .= 'folder_red';
    }
$output .=  '">'. $themes_path .' '. $info[7] .'kb '. date("d.m.Y", $info[8]) .'</p>';
$output .= '<ol>';
while ($file = readdir($handle)) {
  if ($file == '.' OR $file == '..' OR $file == 'engines' OR $file == '*.txt' OR $file == '*.html' OR $file == '*.htm' OR $file == '*.css' OR $file == '*.php' OR $file == '*.png' OR $file == '*.gif' OR $file == '*.jpeg' OR $file == '*.jpg' OR $file == '*.ico') {
  }
  else {
    $output .= '<li class="icon16 ';
    if (is_readable($file) && is_writable($file)) {
      $output .= 'folder';
    }
    else {
      $output .= 'folder';
    }
    $output .= '">'. $file .' ';
    $output .= '</li>';
  }
}
$output .= '</ol>';

return $output;
}

function themebuilder_open_submit($form, &$form_state) {
$themes_path = 'sites/all/themes/';
$themebuilder_file_open_theme_dir = $form_state['values']['themebuilder_file_open_theme_dir'];
$theme_dir = $themes_path . $themebuilder_file_open_theme_dir .'/'. $themebuilder_file_open_theme_dir;
themebuilder_open_theme($theme_dir);
}

/**
 * Theme Builder File Open
 */
function themebuilder_open($form_values = NULL) {
include drupal_get_path('module', 'themebuilder') .'/includes/data.inc';
  if (!file_exists($themes_path)) {
    drupal_set_message( t('The directory: ') .'<em class="icon16 folder">"'. base_path() . $themes_path .'"</em> '. t('do not exists. Create this file folder "themes" with your file browser <span class="icon16 konqueror">Konqueror</span> (<span class="icon16 linux">Linux</span>), <span class="icon16 ie">Explorer</span> (<abbr title="Windows" class="icon16 win">Win</abbr>) or <span class="icon16 mac">Finder</span> (<abbr title="Macintosh" class="icon16 mac">Mac</abbr>), copy the <span class="icon16 theme">themes</span> to this folder and') .' '. l('try again', 'themebuilder/file/open' ) .'.', 'error' );
  }
  else if (!is_writable($themes_path)) {
    drupal_set_message( t('The directory: ') .'<em class="icon16 folder_red">"'. base_path() . $themes_path .'"</em> '. t('is not writable. Last modified: ') . date("F d Y H:i:s.", filemtime($themes_path))  .' '. t('Change the premission of this file folder with your file browser <span class="icon16 konqueror">Konqueror</span> (<span class="icon16 linux">Linux</span>), <span class="icon16 ie">Explorer</span> (<abbr title="Windows" class="icon16 win">Win</abbr>) or <span class="icon16 mac">Finder</span> (<abbr title="Macintosh" class="icon16 mac">Mac</abbr>) and ') . l('try again', 'themebuilder/file/open') .'.', 'error' );
  }
  else if (is_empty_folder($themes_path) == false) {
  drupal_set_message( t('The theme directory: ') .'<em class="icon16 folder_red">"'. base_path() . $themes_path .'"</em> '. t('is empty. Last modified: ') . date("F d Y H:i:s.", filemtime($themes_path)) .' '. t('Copy the <span class="icon16 theme">themes</span> to this folder and ') . l('try again', 'themebuilder/file/open') .'.', 'warning' );
  $description = t('Open is not possible.');
  }
  else {
  $form = array();
  $form['themebuilder_file_open'] = array(
    '#type' => 'fieldset',
    '#title' => t('Open theme'),
    '#description' => themebuilder_opendir($themes_path = 'sites/all/themes'),
    '#collapsible' => false,
    '#collapsed' => false,
  );
  $form['themebuilder_file_open']['themebuilder_file_open_theme_dir'] = array(
    '#type' => 'textfield',
    '#title' => t('Theme directory name'),
    '#size' => 40,
    '#maxlength' => 100,
    '#default_value' => '',
    '#disabled' => $disabled,
    '#description' => t('Set the directory name of theme in "sites/all/themes/".'),
  );
  $form['submit'] = array(
    '#type' => 'submit', 
    '#value' => t('Open'),
  );

  return $form;
  }
}
