<?php

/**
 * Generate the code for preview.tpl.php
 */
function generate_previewtpl($block) {
include drupal_get_path('module', 'themebuilder') .'/includes/data.inc';
  switch ($themebuilder_page_alignment) {
  case 'left':
  $page_margin = "0 auto 0 0";
  break;
  case 'center':
  $page_margin = "auto";
  break;
  case 'right':
  $page_margin = "0 0 0 auto";
  break;
  default:
  $page_margin = "0 auto";
  break;
  }

  $output = '<p>Background images: <a href="#tb_preview" class="tb_noimages" title="Hide background images">'. t('Hide') .'</a> | '."\n";
  $output .= '<a href="#tb_preview" class="tb_images" title="Show background images">'. t('Show') .'</a></p>'."\n";
  $output .= '<div class="preview-body">'."\n";
  
  $output .= '  <div class="preview-page">'."\n";
  $output .= '    <div class="preview-header">'."\n";
  $output .= '    <h1>'. t('Site name') .' &#060;h1&#062;</h1>'."\n";
  $output .= '    <p>'. t('Site slogan') .' &#060;p&#062;</p>'."\n";
  $output .= '      <div class="preview-primary" >'."\n";
  $output .= '      <a href="#">'. t('Primary link') .'</a>'."\n";
  $output .= '      </div> <!-- /preview-primary -->'."\n";
  $output .= '      <div class="preview-secondary" >'."\n";
  $output .= '      <a href="#">'. t('Secondary link') .'</a>'."\n";
  $output .= '      </div> <!-- /preview-secondary -->'."\n";
  $output .= '      <div class="clear"></div>'."\n";
  $output .= '    </div> <!-- /preview-header -->'."\n";
  $output .= '    <div class="preview-main">'."\n";
  $output .= '      <div class="preview-sidebar-left">'."\n";
  $output .= '      <p>'. t('Sidebar left') .'</p>'."\n";
  $output .= '      </div> <!-- /preview-sidebar-left -->'."\n";
  
  $output .= '      <div class="preview-content">'."\n";
  $output .= '      <p>'. t('Content') .'</p>'."\n";
  $output .= '      <p class="icon16 ok">'. t('Block elements for srtict, transitional and frameset document type.') .'</p>'."\n";
  $output .= '      <h1>&#060;h1&#062;</h1>'."\n";
  $output .= '      <h2>&#060;h2&#062;</h2>'."\n";
  $output .= '      <h3>&#060;h3&#062;</h3>'."\n";
  $output .= '      <h4>&#060;h4&#062;</h4>'."\n";
  $output .= '      <h5>&#060;h5&#062;</h5>'."\n";
  $output .= '      <h6>&#060;h6&#062;</h6>'."\n";
  $output .= '      <address title="cite">&#060;address&#062;</address>'."\n";
  $output .= '      <blockquote title="cite">&#060;blockquote&#062;</blockquote>'."\n";

  $output .= '      <dl><dt>&#060;dl&#062; &#060;dt&#062; Ex.</dt><dd>&#060;dd&#062; Example</dd></dl>'."\n";
  if ((!$themebuilder_doctype == "XHTML 1.0 Strict") || (!$themebuilder_doctype == "XHTML 1.1")) {
  $output .= '      <dir><li>&#060;dir&#062; &#060;li&#062;</li></dir>'."\n";
  }
  $output .= '      <div>&#060;div&#062;</div>'."\n";
  $output .= '      <fieldset>&#060;fieldset&#062;<legend>&#060;legend&#062;</legend></fieldset>'."\n";
  $output .= '      <form action="#" method="get">&#060;form&#062;</form>'."\n";
  $output .= '      &#060;hr /&#062;<hr />'."\n";
  if ((!$themebuilder_doctype == "XHTML 1.0 Strict") || (!$themebuilder_doctype == "XHTML 1.1")) {
  $output .= '      <menu><li>&#060;menu&#062; &#060;li&#062;</li></menu>'."\n";
  }
  $output .= '      <ol>
   <li>&#060;ol&#062; &#060;li&#062;</li>
 </ol> <ul>
   <li>&#060;ul&#062; &#060;li&#062;</li>
 </ul>'."\n";
  $output .= '      <noscript>&#060;noscript&#062;</noscript>'."\n";
  $output .= '      <p>&#060;p&#062;</p>'."\n";
  $output .= '      <pre>&#060;pre&#062;</pre>'."\n";

if ($block == "page") {
  $output .= '
 <table cellspacing="0" summary="'. t('Table for preview.') .'"  class="preview-table">
  <caption>'. t('Software Price List') .'</caption>
  <thead>
    <tr>
      <th scope="col" abbr="Section" id="t1_td1" >Section</th>
      <th scope="col" abbr="Name" id="t1_td2" >Software&#160;Name</th>
      <th scope="col" abbr="Version" id="t1_td3" >Version</th>
      <th scope="col" abbr="Language" id="t1_td4" ><abbr title="'. t('Language') .'">Lang</abbr></th>
      <th scope="col" abbr="Available" id="t1_td5" ><abbr title="'. t('Available') .'">AV</abbr></th>
      <th scope="col" abbr="Price" id="t1_td6" >Price</th>
    </tr>
  </thead>

  <tfoot>
    <tr>
      <td class="tfoot1">Section</td>
      <td >Software&#160;Name</td>
      <td >Version</td>
      <td ><abbr title="'. t('Language') .'">Lang</abbr></td>
      <td ><sup><a href="#footnote_1" title="'. t('Internal skiplink to footnote 1') .'">1</a></sup></td>
      <td >Price</td>
    </tr>
  </tfoot>
  <tbody>
    <tr class="odd center">
      <th headers="t1_td1" scope="row" colspan="1" rowspan="2">Developing</th>
      <td headers="t1_td2" class="text_left"><span title="Bluefish" class="icon16 bluefish">Bluefish</span></td>
      <td headers="t1_td3">1.07</td>
      <td headers="t1_td4">  <abbr title="'. t('English') .'">en</abbr></td>
      <td headers="t1_td5"><span class="yes_image" title="available">available</span></td>
      <td headers="t1_td6" class="text_right"><abbr title="Dollar">&#036;</abbr> <span class="price2">100</span></td>
    </tr>
    <tr class="even center">
      <td headers="t1_td2" class="text_left"><span title="jEdit" class="icon16 jedit">jEdit</span></td>
      <td headers="t1_td3">1.0</td>
      <td headers="t1_td4">  <abbr title="'. t('English') .'">en</abbr></td>
      <td headers="t1_td5"><span class="no_image" title="not available">not available</span></td>
      <td headers="t1_td6" class="text_right"><abbr title="Dollar">&#036;</abbr>&#160;<span class="price2">100</span></td>
    </tr>
    <tr class="odd center">
      <th headers="t1_td1" scope="row" colspan="1" rowspan="3">Graphic</th>
      <td headers="t1_td2" class="text_left"><abbr lang="en" xml:lang="en" title="GNU Image Manipulation Program" class="icon16 gimp">GIMP</abbr></td>
      <td headers="t1_td3">2.4</td>
      <td headers="t1_td4"><abbr title="'. t('German') .'">de</abbr></td>
      <td headers="t1_td5"><span class="yes_image" title="available">available</span></td>
      <td headers="t1_td6" class="text_right"><abbr title="Euro">&#8364;</abbr>&#160;<span class="price3">200</span>&#8211;<span class="price2">400</span></td>
    </tr>
    <tr class="even center">
      <td headers="t1_td2" class="text_left"><span title="Incscape" class="icon16 inkscape">Inkscape</span></td>
      <td headers="t1_td3">0.45</td>
      <td headers="t1_td4">  <abbr title="'. t('English') .'">en</abbr></td>
      <td headers="t1_td5"><span class="yes_image" title="available">available</span></td>
      <td headers="t1_td6" class="text_right"><abbr title="Dollar">&#036;</abbr>&#160;<span class="price2">40</span></td>
    </tr>
    <tr class="odd center">
      <td headers="t1_td2" class="text_left"><span title="Incscape" class="icon16 agave">Agave</span></td>
      <td headers="t1_td3">0.42</td>
      <td headers="t1_td4">  <abbr title="'. t('German Switzerland') .'">de/sui</abbr></td>
      <td headers="t1_td5"><span class="unknown_image" title="unknown">&ensp;</span></td>
      <td headers="t1_td6" class="text_right"><abbr title="Schweizer Franken">CHF</abbr>&#160;<span class="price2">20</span></td>
    </tr>
  </tbody>
</table><p class="tb_preview_block_p"><sup id="footnote_1">1</sup>If it is in the stock, the ship during is 2&#8211;3 days.</p>
'."\n";

  if ((!$themebuilder_doctype == "XHTML 1.0 Strict") || (!$themebuilder_doctype == "XHTML 1.1")) {
  $output .= '      <p class="icon16 warning">'. t('Block elements only for transitional and frameset document type.') .'</p>'."\n";
  $output .= '      <center title="cite">&#060;center&#062;</center> '."\n";
  $output .= '      &#060;isindex&#062;<isindex />'."\n";
  $output .= '      <noframes><p>&#060;noframes&#062;</p></noframes>'."\n";
  }
}

  $output .= '      <p class="icon16 ok">'. t('Inline elements for srtict, transitional and frameset document type.') .'</p>'."\n";
  $output .= '      <p>'."\n";
  $output .= t('Link pseudo class: ') .'<a title="'. t('Link') .'" href="#" >&#060;a:link&#062;</a> <a title="'. t('Link visited') .'" href="#" >&#060;a:visited&#062;</a> <a title="'. t('Link focus') .'" href="#" >&#060;a:focus&#062;</a> <a title="'. t('Link hover') .'" href="#">&#060;a:hover&#062;</a> <a title="'. t('Link active') .'" href="#">&#060;a:active&#062;</a>.'."\n";
  $output .= '      </p>'."\n";
  $output .= '      <p>'."\n";
  $output .=  t('Link relation: ') . l( t('<a rel="alternate">'), $themebuilder_navbar_alternate,  array('attributes' => array('rel' => 'alternate', 'title' => t('Alternate')))) .
l( t('<a rel="author">'), $themebuilder_navbar_author, array('attributes' => array('rel' => 'author', 'title' => t('Author')))) .' '.
l( t('<a rel="appendix">'), $themebuilder_navbar_appendix, array('attributes' => array('rel' => 'appendix', 'title' => t('Appendix')))) .' '.
l( t('<a rel="bookmark">'), $themebuilder_navbar_bookmark, array('attributes' => array('rel' => 'bookmark', 'title' => t('Bookmark')))) .' '.
l( t('<a rel="chapter">'), $themebuilder_navbar_chapter, array('attributes' => array('rel' => 'chapter', 'title' => t('Chapter')))) .' '.
l( t('<a rel="contents">'), $themebuilder_navbar_contents, array('attributes' => array('rel' => 'contents', 'title' => t('Contents')))) .' '.
l( t('<a rel="copyright">'), $themebuilder_navbar_copyright, array('attributes' => array('rel' => 'copyright', 'title' => t('Copyright')))) .' '.
l( t('<a rel="glossary">'), $themebuilder_navbar_glossary, array('attributes' => array('rel' => 'glossary', 'title' => t('Glossary')))) .' '.
l( t('<a rel="help">'), $themebuilder_navbar_help, array('attributes' => array('rel' => 'help', 'title' => t('Help')))) .' '.
l( t('<a rel="index">'), $themebuilder_navbar_index, array('attributes' => array('rel' => 'index', 'title' => t('Index')))) .' '.
l( t('<a rel="next">'), $themebuilder_navbar_next, array('attributes' => array('rel' => 'next', 'title' => t('Next')))) .' '.
l( t('<a rel="prev">'), $themebuilder_navbar_prev, array('attributes' => array('rel' => 'prev', 'title' => t('Prev')))) .' '.
l( t('<a rel="section">'), $themebuilder_navbar_section, array('attributes' => array('rel' => 'section', 'title' => t('Section')))) .' '.
l( t('<a rel="start">'), $themebuilder_navbar_start, array('attributes' => array('rel' => 'start', 'title' => t('Start')))) .' '.
l( t('<a rel="subsection">'), $themebuilder_navbar_contents, array('attributes' => array('rel' => 'subsection', 'title' => t('Subsection')))) .' '.
l( t('<a rel="up">'), '#content', array('attributes' => array('rel' => 'up', 'title' => t('Up')))) ."\n";
  $output .= '      </p>'."\n";
  $output .= '      <p>'."\n";
  $output .= t('Link reverse: ') . l( t('<a rev="alternate">'), $themebuilder_navbar_alternate,  array('attributes' => array('rev' => 'alternate', 'title' => t('Alternate')))) .' '.
l( t('<a rev="author">'), $themebuilder_navbar_author, array('attributes' => array('rev' => 'author', 'title' => t('Author')))) .' '.
l( t('<a rev="appendix">'), $themebuilder_navbar_appendix, array('attributes' => array('rev' => 'appendix', 'title' => t('Appendix')))) .' '.
l( t('<a rev="bookmark">'), $themebuilder_navbar_bookmark, array('attributes' => array('rev' => 'bookmark', 'title' => t('Bookmark')))) .' '.
l( t('<a rev="chapter">'), $themebuilder_navbar_chapter, array('attributes' => array('rev' => 'chapter', 'title' => t('Chapter')))) .' '.
l( t('<a rev="contents">'), $themebuilder_navbar_contents, array('attributes' => array('rev' => 'contents', 'title' => t('Contents')))) .' '.
l( t('<a rev="copyright">'), $themebuilder_navbar_copyright, array('attributes' => array('rev' => 'copyright', 'title' => t('Copyright')))) .' '.
l( t('<a rev="glossary">'), $themebuilder_navbar_glossary, array('attributes' => array('rev' => 'glossary', 'title' => t('Glossary')))) .' '.
l( t('<a rev="help">'), $themebuilder_navbar_help, array('attributes' => array('rev' => 'help', 'title' => t('Help')))) .' '.
l( t('<a rev="index">'), $themebuilder_navbar_index, array('attributes' => array('rev' => 'index', 'title' => t('Index')))) .' '.
l( t('<a rev="next">'), $themebuilder_navbar_next, array('attributes' => array('rev' => 'next', 'title' => t('Next')))) .' '.
l( t('<a rev="prev'), $themebuilder_navbar_prev, array('attributes' => array('rev' => 'prev', 'title' => t('Prev')))) .' '.
l( t('<a rev="section">'), $themebuilder_navbar_section, array('attributes' => array('rev' => 'section', 'title' => t('Section')))) .' '.
l( t('<a rev="start">'), $themebuilder_navbar_start, array('attributes' => array('rev' => 'start', 'title' => t('Start')))) .' '.
l( t('<a rev="subsection">'), $themebuilder_navbar_contents, array('attributes' => array('rev' => 'subsection', 'title' => t('Subsection')))) .' '.
l( t('<a rev="up">'), '#content', array('attributes' => array('rev' => 'up', 'title' => t('Up')))) ."\n";
  $output .= '      </p>'."\n";
  $output .= '      <p>'."\n";
  $output .= t('Link class: ') . l( t('<a.internal>'), 'index.php',  array('attributes' => array('class' => 'internal', 'title' => t('Internal Link to home')))) .' '. l( t('<a.external>'), 'http://www.drupal.org',  array('attributes' => array('class' => 'external', 'title' => t('External link to Drupal.org')))) .' <a title="'. t('Skip up to content') .'" class="skip_up" href="#content">&#060;a.skip_up&#062;</a> <a title="'. t('Skip to the first page') .'" class="skip_first" href="#">&#060;a.skip_first&#062;</a> <a title="'. t('Skip to the last page') .'" class="skip_last" href="#">&#060;a.skip_last&#062;</a> ' ."\n";
  $output .= '      </p>'."\n";
  $output .= '      <p>'."\n";
  $output .= t('Class for mimetype icons:') .' '."\n";
  $output .= l( t('<.text/.css/.javascript>'), '#',  array('attributes' => array('class' => 'text', 'title' => t('.text, .css, .javascript')))) ."\n".
l( t('<.html/.xhtml/.php>'), '#',  array('attributes' => array('class' => 'html', 'title' => t('.html, .xhtml, .php ')))) ."\n".
l( t('<.image>'), '#',  array('attributes' => array('class' => 'image', 'title' => t('.image')))) ."\n".
l( t('<.document/.word/.pdf/.oasis_word/.oasis_text>'), '#',  array('attributes' => array('class' => 'document', 'title' => t('.document, .word, .pdf, .oasis_word, .oasis_text')))) ."\n".
l( t('<.ods/.spread/.spreadsheet/.oasis_spreadsheet'), '#',  array('attributes' => array('class' => 'ods', 'title' => t('.ods, .spread, .spreadsheet, .oasis_spreadsheet')))) ."\n".
l( t('<.odp/.presentation/.oasis_presentation>'), '#',  array('attributes' => array('class' => 'odp', 'title' => t('.odp, .presentation, .oasis_presentation')))) ."\n".
l( t('<.odg/.drawing/.oasis_drawing>'), '#',  array('attributes' => array('class' => 'odg', 'title' => t('.odg, .drawing, .oasis_drawing')))) ."\n".
"\n";
  $output .= '      </p>'."\n";
  
  $output .= '      <p>'."\n";
  $output .= t('Example combination of "relation" and "mymetype" in a link:') .' '."\n";
  $output .= 
l( t('License.txt'), '#',  array('attributes' => array('class' => 'text', 'rel' => 'copyright', 'title' => t('.text, .css, .javascript')))) ."\n";
  $output .= '      </p>'."\n";
  
  $output .= '      <p>'."\n";
  $output .= '      <abbr title="abbr">&#060;abbr&#062;</abbr>'."\n";
  $output .= '      <acronym title="acronym">&#060;acronym&#062;</acronym>'."\n";
  $output .= '      <b title="b">&#060;b&#062;</b>'."\n";
  $output .= '      <bdo dir="rtl">&#060;bdo&#062;</bdo>'."\n";
  $output .= '      <big>&#060;big&#062;</big>'."\n";
  $output .= '      &#060;br /&#062;<br />'."\n";
  $output .= '      <button type="button" value="button">&#060;button&#062;</button>'."\n";
  $output .= '      <cite title="cite">&#060;cite&#062;</cite>'."\n";
  $output .= '      <code>&#060;code&#062;</code>'."\n";
  $output .= '      <dfn>&#060;dfn&#062;</dfn>'."\n";
  $output .= '      <em>&#060;em&#062;</em>'."\n";
  $output .= '      <i>&#060;i&#062;</i>'."\n";
  $output .= '      <img src="'. $module_base_path .'/images/img.gif" alt="yes"/>'."\n";
  $output .= '      <form action="#" id="form-inline" method="get" title="&#060;form&#062;">'."\n";
  $output .= '      <fieldset><legend>(fieldset, legend)</legend></fieldset>'."\n";
  $output .= '      <label for="select" title="label">&#060;label&#062; select</label>'."\n";
  $output .= '      <select id="select" name="select" size="1">
    <option>&#060;select&#062;&#060;option&#062; 1</option>
    <option selected>&#060;select&#062;&#060;option&#062; 2</option>
    <option>&#060;select&#062;&#060;option&#062; 3</option>
  </select>'."\n";
  $output .= '      <label for="textarea" title="label">&#060;label&#062; textarea</label>'."\n";
  $output .= '      <textarea id="textarea" name="textarea" cols="12" rows="2">&#060;textarea&#062;</textarea>'."\n";
  $output .= '      <label for="text" title="label">&#060;label&#062; text</label>'."\n";
  $output .= '      <input id="text" name="input" value="&#060;input text&#062;" type="text" />'."\n";
  $output .= '      <label for="radio" title="label">&#060;label&#062; radio</label>'."\n";
  $output .= '      <input id="input-radio" type="radio" name="radio1" value="radio1" /> &#060;input radio&#062; 1 <input type="radio" name="radio2" value="radio2" /> &#060;input radio&#062; 2'."\n";
  $output .= '      <label for="checkbox" title="label">&#060;label&#062; radio</label>'."\n";
  $output .= '      <input id="checkbox" type="checkbox" name="checkbox1" value="checkbox1" /> &#060;input checkbox&#062; 1 <input type="checkbox" name="checkbox2" value="checkbox2" />&#060;input checkbox&#062; 2'."\n";
  $output .= '      <label for="edit-submit2" title="label">&#060;label&#062; submit</label>'."\n";
  $output .= '      <input id="edit-submit2" class="submit" type="submit" value="'. t('Submit') .'" name="submit"/>'."\n";
  $output .= '      <input id="edit-reset2" class="edit-reset" type="reset" value="'. t('Reset') .'" name="reset"/>'."\n";
  $output .= '      </form>'."\n";
  $output .= '      <p>'."\n";
  $output .= '      <kbd title="keyboard">&#060;kbd&#062;</kbd>'."\n";
  $output .= '      <map title="label">&#060;map&#062;</map>'."\n";
  $output .= '      <object data="'. $module_base_path .'/images/object.svg" type="image/svg+xml" width="64" height="64">'. t('Your browser can not display this object!') .'</object>'."\n";
  $output .= '      <q cite="Source">&#060;q&#062;</q>'."\n";
  $output .= '      <samp>&#060;samp&#062;</samp>'."\n";
  $output .= '      <script type="text/javascript">&#060;script&#062;</script>'."\n";
  $output .= '      <small>&#060;small&#062;</small>'."\n";
  $output .= '      <span>&#060;span&#062;</span>'."\n";
  $output .= '      <strong>&#060;strong&#062;</strong>'."\n";
  $output .= '      <sub>&#060;sub&#062;</sub>'."\n";
  $output .= '      <sup>&#060;sup&#062;</sup>'."\n";
  $output .= '      <tt>&#060;tt&#062;</tt>'."\n";
  $output .= '      <var>&#060;var&#062;</var>'."\n";
  $output .= '      </p>'."\n";
if ($block == "page") {
  if ((!$themebuilder_doctype == "XHTML 1.0 Strict") || (!$themebuilder_doctype == "XHTML 1.1")) {
  $output .= '      <p class="icon16 warning">'. t('Inline elements only for transitional and frameset document type.') .'</p>'."\n";
  $output .= '      <p>'."\n";
  $output .= '      &#060;applet&#062;<applet title="applet" code="'. $theme_path .'/images/applet.class">&#060;applet&#062;</applet>'."\n";
  $output .= '      &#060;basefont&#062;<basefont face="Verdana" />'."\n";
  $output .= '      <font>&#060;font&#062;</font>'."\n";
  $output .= '      &#060;iframe&#062;<iframe src="'. $theme_path .'/templates/iframe.html" width="100%" height="100">&#060;iframe&#062;</iframe>'."\n";
  $output .= '      </p>'."\n";
  }
}

  $output .= '      </div> <!-- /preview-content -->'."\n";
  $output .= '      <div class="preview-sidebar-right">'."\n";
  $output .= '      <p>'. t('Sidebar right') .'</p>'."\n";
  $output .= '      </div> <!-- /preview-sidebar-right -->'."\n";
  $output .= '      <div class="clear"></div>'."\n";
  $output .= '    </div> <!-- /preview-main -->'."\n";
  
  $output .= '    <div class="preview-footer">'."\n";
  $output .= '    <p>'. t('Footer') .'</p>'."\n";
  $output .= '    </div> <!-- /preview-footer -->'."\n";
  $output .= '    <div class="clear"></div>'."\n";
  $output .= '  </div> <!-- /preview-page -->'."\n";
  $output .= '      <div class="clear"></div>'."\n";
  $output .= '</div> <!-- /preview-body -->'."\n";
  
  return $output;
}